(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    296595,       6184]
NotebookOptionsPosition[    294155,       6138]
NotebookOutlinePosition[    294583,       6155]
CellTagsIndexPosition[    294540,       6152]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.8151268426415677`*^9, 3.8151268453442554`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"cfefd564-2c30-411d-bc5b-fe0aeb4fd85d"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"arbol", "=", 
  RowBox[{"Graph", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "2"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", "4"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"3", ",", "6"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"3", ",", "7"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"4", ",", "8"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"4", ",", "9"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"6", ",", "10"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"6", ",", "11"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"8", ",", "12"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"8", ",", "13"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"10", ",", "14"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"10", ",", "15"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"12", ",", "16"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"12", ",", "17"}], "}"}]}], "}"}], ",", 
    RowBox[{"VertexLabels", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", "\"\<-\>\""}], ",", 
       RowBox[{"2", "\[Rule]", " ", "\"\<*\>\""}], ",", " ", 
       RowBox[{"3", "\[Rule]", "\"\<+\>\""}], ",", 
       RowBox[{"4", "\[Rule]", "\"\<+\>\""}], ",", 
       RowBox[{"5", "\[Rule]", "\"\<e\>\""}], ",", 
       RowBox[{"6", "\[Rule]", "\"\<*\>\""}], ",", 
       RowBox[{"7", "\[Rule]", "\"\<f\>\""}], ",", 
       RowBox[{"8", "\[Rule]", "\"\<*\>\""}], ",", 
       RowBox[{"9", "\[Rule]", "\"\<d\>\""}], ",", 
       RowBox[{"10", "\[Rule]", "\"\<+\>\""}], ",", 
       RowBox[{"11", "\[Rule]", "\"\<c\>\""}], ",", 
       RowBox[{"12", "\[Rule]", "\"\<+\>\""}], ",", 
       RowBox[{"13", "\[Rule]", "\"\<c\>\""}], ",", 
       RowBox[{"14", "\[Rule]", "\"\<a\>\""}], ",", 
       RowBox[{"15", "\[Rule]", "\"\<b\>\""}], ",", 
       RowBox[{"16", "\[Rule]", "\"\<a\>\""}], ",", 
       RowBox[{"17", "\[Rule]", "\"\<b\>\""}]}], "}"}]}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringJoin", "[", 
  RowBox[{
   RowBox[{"Prefijo", "[", 
    RowBox[{"arbol", ",", "1"}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"1", "\[Rule]", "\"\<-\>\""}], ",", 
     RowBox[{"2", "\[Rule]", " ", "\"\<*\>\""}], ",", " ", 
     RowBox[{"3", "\[Rule]", "\"\<+\>\""}], ",", 
     RowBox[{"4", "\[Rule]", "\"\<+\>\""}], ",", 
     RowBox[{"5", "\[Rule]", "\"\<e\>\""}], ",", 
     RowBox[{"6", "\[Rule]", "\"\<*\>\""}], ",", 
     RowBox[{"7", "\[Rule]", "\"\<f\>\""}], ",", 
     RowBox[{"8", "\[Rule]", "\"\<*\>\""}], ",", 
     RowBox[{"9", "\[Rule]", "\"\<d\>\""}], ",", 
     RowBox[{"10", "\[Rule]", "\"\<+\>\""}], ",", 
     RowBox[{"11", "\[Rule]", "\"\<c\>\""}], ",", 
     RowBox[{"12", "\[Rule]", "\"\<+\>\""}], ",", 
     RowBox[{"13", "\[Rule]", "\"\<c\>\""}], ",", 
     RowBox[{"14", "\[Rule]", "\"\<a\>\""}], ",", 
     RowBox[{"15", "\[Rule]", "\"\<b\>\""}], ",", 
     RowBox[{"16", "\[Rule]", "\"\<a\>\""}], ",", 
     RowBox[{"17", "\[Rule]", "\"\<b\>\""}]}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"StringJoin", "[", 
  RowBox[{
   RowBox[{"Postfijo", "[", 
    RowBox[{"arbol", ",", "1"}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"1", "\[Rule]", "\"\<-\>\""}], ",", 
     RowBox[{"2", "\[Rule]", " ", "\"\<*\>\""}], ",", " ", 
     RowBox[{"3", "\[Rule]", "\"\<+\>\""}], ",", 
     RowBox[{"4", "\[Rule]", "\"\<+\>\""}], ",", 
     RowBox[{"5", "\[Rule]", "\"\<e\>\""}], ",", 
     RowBox[{"6", "\[Rule]", "\"\<*\>\""}], ",", 
     RowBox[{"7", "\[Rule]", "\"\<f\>\""}], ",", 
     RowBox[{"8", "\[Rule]", "\"\<*\>\""}], ",", 
     RowBox[{"9", "\[Rule]", "\"\<d\>\""}], ",", 
     RowBox[{"10", "\[Rule]", "\"\<+\>\""}], ",", 
     RowBox[{"11", "\[Rule]", "\"\<c\>\""}], ",", 
     RowBox[{"12", "\[Rule]", "\"\<+\>\""}], ",", 
     RowBox[{"13", "\[Rule]", "\"\<c\>\""}], ",", 
     RowBox[{"14", "\[Rule]", "\"\<a\>\""}], ",", 
     RowBox[{"15", "\[Rule]", "\"\<b\>\""}], ",", 
     RowBox[{"16", "\[Rule]", "\"\<a\>\""}], ",", 
     RowBox[{"17", "\[Rule]", "\"\<b\>\""}]}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8152235533440795`*^9, 3.8152236656565065`*^9}, {
  3.8152244312998743`*^9, 3.815224442377421*^9}, {3.8152259270570307`*^9, 
  3.815225932098996*^9}, {3.8152269362384014`*^9, 3.8152269384169445`*^9}, {
  3.8152270083683643`*^9, 3.8152270115822315`*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"e86e72d0-4250-42fa-a122-30b1b882b93b"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
      Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 9}, {
       6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 16}, {12, 
       17}}}, {VertexLabels -> {
        6 -> "*", 3 -> "+", 11 -> "c", 5 -> "e", 8 -> "*", 7 -> "f", 14 -> 
         "a", 10 -> "+", 9 -> "d", 4 -> "+", 17 -> "b", 16 -> "a", 12 -> "+", 
         13 -> "c", 2 -> "*", 15 -> "b", 1 -> "-"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
         "]]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{2.5879865568825218, 4.313310928137536}, 
          0.03897099439526591], 
         InsetBox["\<\"-\"\>", 
          Offset[{2, 2}, {2.626957551277788, 4.352281922532802}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.7253243712550146, 3.4506487425100287}, 
          0.03897099439526591], 
         InsetBox["\<\"*\"\>", 
          Offset[{2, 2}, {1.7642953656502804, 3.489619736905295}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.450648742510029, 3.4506487425100287}, 
          0.03897099439526591], 
         InsetBox["\<\"+\"\>", 
          Offset[{2, 2}, {3.4896197369052953, 3.489619736905295}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.2939932784412609, 2.5879865568825213}, 
          0.03897099439526591], 
         InsetBox["\<\"+\"\>", 
          Offset[{2, 2}, {1.3329642728365267, 2.6269575512777874}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.156655464068768, 2.5879865568825213}, 
          0.03897099439526591], 
         InsetBox["\<\"e\"\>", 
          Offset[{2, 2}, {2.195626458464034, 2.6269575512777874}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.0193176496962755, 2.5879865568825213}, 
          0.03897099439526591], 
         InsetBox["\<\"*\"\>", 
          Offset[{2, 2}, {3.0582886440915416, 2.6269575512777874}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.881979835323783, 2.5879865568825213}, 
          0.03897099439526591], 
         InsetBox["\<\"f\"\>", 
          Offset[{2, 2}, {3.920950829719049, 2.6269575512777874}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8626621856275073, 1.7253243712550144}, 
          0.03897099439526591], 
         InsetBox["\<\"*\"\>", 
          Offset[{2, 2}, {0.9016331800227733, 1.7642953656502802}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.7253243712550146, 1.7253243712550144}, 
          0.03897099439526591], 
         InsetBox["\<\"d\"\>", 
          Offset[{2, 2}, {1.7642953656502804, 1.7642953656502802}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.5879865568825218, 1.7253243712550144}, 
          0.03897099439526591], 
         InsetBox["\<\"+\"\>", 
          Offset[{2, 2}, {2.626957551277788, 1.7642953656502802}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.450648742510029, 1.7253243712550144}, 
          0.03897099439526591], 
         InsetBox["\<\"c\"\>", 
          Offset[{2, 2}, {3.4896197369052953, 1.7642953656502802}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.43133109281375365, 0.862662185627507}, 
          0.03897099439526591], 
         InsetBox["\<\"+\"\>", 
          Offset[{2, 2}, {0.47030208720901956, 0.9016331800227728}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.2939932784412609, 0.862662185627507}, 
          0.03897099439526591], 
         InsetBox["\<\"c\"\>", 
          Offset[{2, 2}, {1.3329642728365267, 0.9016331800227728}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.156655464068768, 0.862662185627507}, 0.03897099439526591],
          InsetBox["\<\"a\"\>", 
          Offset[{2, 2}, {2.195626458464034, 0.9016331800227728}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.0193176496962755, 0.862662185627507}, 
          0.03897099439526591], 
         InsetBox["\<\"b\"\>", 
          Offset[{2, 2}, {3.0582886440915416, 0.9016331800227728}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {DiskBox[{0., 0.}, 0.03897099439526591], 
         InsetBox["\<\"a\"\>", 
          Offset[{2, 2}, {0.03897099439526591, 0.03897099439526591}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8626621856275073, 0.}, 0.03897099439526591], 
         InsetBox["\<\"b\"\>", 
          Offset[{2, 2}, {0.9016331800227733, 0.03897099439526591}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None]], "Output",
 CellChangeTimes->{
  3.8152235257201614`*^9, {3.8152235932914534`*^9, 3.815223666403479*^9}, 
   3.815224443319699*^9, 3.815224539757168*^9, 3.815225935436437*^9, {
   3.8152269423285837`*^9, 3.8152269529920135`*^9}, 3.8152270124170294`*^9, 
   3.8152271181762486`*^9, {3.8152316519533377`*^9, 3.8152316794387712`*^9}},
 CellLabel->"Out[18]=",ExpressionUUID->"6817ca0e-df07-4a31-815c-c006f80bc5ec"],

Cell[BoxData["\<\"-*+*+abcde+*+abcf\"\>"], "Output",
 CellChangeTimes->{
  3.8152235257201614`*^9, {3.8152235932914534`*^9, 3.815223666403479*^9}, 
   3.815224443319699*^9, 3.815224539757168*^9, 3.815225935436437*^9, {
   3.8152269423285837`*^9, 3.8152269529920135`*^9}, 3.8152270124170294`*^9, 
   3.8152271181762486`*^9, {3.8152316519533377`*^9, 3.815231679490633*^9}},
 CellLabel->"Out[19]=",ExpressionUUID->"9833319a-dc2a-4d2c-acb1-973c4255ac5c"],

Cell[BoxData["\<\"ab+c*d+e*ab+c*f+-\"\>"], "Output",
 CellChangeTimes->{
  3.8152235257201614`*^9, {3.8152235932914534`*^9, 3.815223666403479*^9}, 
   3.815224443319699*^9, 3.815224539757168*^9, 3.815225935436437*^9, {
   3.8152269423285837`*^9, 3.8152269529920135`*^9}, 3.8152270124170294`*^9, 
   3.8152271181762486`*^9, {3.8152316519533377`*^9, 3.8152316795275345`*^9}},
 CellLabel->"Out[20]=",ExpressionUUID->"6dec3838-9b55-4d08-91c1-efdfee36dd1a"]
}, Open  ]],

Cell["Orden inicial:", "Text",
 CellChangeTimes->{{3.8151378430904517`*^9, 
  3.8151378549324846`*^9}},ExpressionUUID->"fedab940-fa49-430f-99d6-\
63ae1dec3376"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Orden", "=", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "2", ",", "4", ",", "8", ",", "12", ",", "16", ",", "17", ",", 
     "13", ",", "9", ",", "5", ",", "3", ",", "6", ",", "10", ",", "14", ",", 
     "15", ",", "11", ",", "7"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"HighlightGraph", "[", 
    RowBox[{"arbol", ",", 
     RowBox[{"Orden", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "vertex"}], "]"}], "]"}], ",", 
     RowBox[{"VertexLabels", "\[Rule]", "\"\<Name\>\""}], ",", 
     RowBox[{"ImagePadding", "\[Rule]", "10"}], ",", 
     RowBox[{"GraphHighlightStyle", "\[Rule]", "\"\<Thick\>\""}], ",", 
     RowBox[{"VertexSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{"VertexShapeFunction", "\[Rule]", "\"\<Square\>\""}], ",", 
     RowBox[{"VertexLabels", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"1", "\[Rule]", "\"\<-\>\""}], ",", 
        RowBox[{"2", "\[Rule]", " ", "\"\<*\>\""}], ",", " ", 
        RowBox[{"3", "\[Rule]", "\"\<+\>\""}], ",", 
        RowBox[{"4", "\[Rule]", "\"\<+\>\""}], ",", 
        RowBox[{"5", "\[Rule]", "\"\<e\>\""}], ",", 
        RowBox[{"6", "\[Rule]", "\"\<*\>\""}], ",", 
        RowBox[{"7", "\[Rule]", "\"\<f\>\""}], ",", 
        RowBox[{"8", "\[Rule]", "\"\<*\>\""}], ",", 
        RowBox[{"9", "\[Rule]", "\"\<d\>\""}], ",", 
        RowBox[{"10", "\[Rule]", "\"\<+\>\""}], ",", 
        RowBox[{"11", "\[Rule]", "\"\<c\>\""}], ",", 
        RowBox[{"12", "\[Rule]", "\"\<+\>\""}], ",", 
        RowBox[{"13", "\[Rule]", "\"\<c\>\""}], ",", 
        RowBox[{"14", "\[Rule]", "\"\<a\>\""}], ",", 
        RowBox[{"15", "\[Rule]", "\"\<b\>\""}], ",", 
        RowBox[{"16", "\[Rule]", "\"\<a\>\""}], ",", 
        RowBox[{"17", "\[Rule]", "\"\<b\>\""}]}], "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"vertex", ",", 
     RowBox[{"Length", "[", "Orden", "]"}]}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{
  3.8152245524353743`*^9, {3.8152246098561363`*^9, 3.8152246502312555`*^9}, 
   3.8152259428237047`*^9, 3.815226964109621*^9},
 CellLabel->"In[21]:=",ExpressionUUID->"e8182c54-5843-4233-8a46-467e6e768056"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 
         16}, {12, 17}}}, {
        GraphHighlight -> {1}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 
         10, VertexLabels -> {
          9 -> "d", 17 -> "b", 14 -> "a", 5 -> "e", 6 -> "*", 13 -> "c", 16 -> 
           "a", 4 -> "+", 15 -> "b", 12 -> "+", 8 -> "*", 7 -> "f", 1 -> "-", 
           10 -> "+", 2 -> "*", 3 -> "+", 11 -> "c"}, 
         VertexShapeFunction -> {1 -> "Square"}, 
         VertexSize -> {1 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.511869300135023, 4.237193671390037}, \
{2.6641038136300206, 4.389428184885035}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6742527754452725, 4.399577146700286}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7253243712550146, 3.4506487425100287}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {1.7642953656502804, 3.489619736905295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 3.4506487425100287}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 3.489619736905295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2939932784412609, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.3329642728365267, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {2.195626458464034, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.881979835323783, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {3.920950829719049, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8626621856275073, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.9016331800227733, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7253243712550146, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {1.7642953656502804, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5879865568825218, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.626957551277788, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.43133109281375365, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {0.47030208720901956, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2939932784412609, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.3329642728365267, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {2.195626458464034, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.}, 0.03897099439526591], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {0.03897099439526591, 0.03897099439526591}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8626621856275073, 0.}, 0.03897099439526591], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {0.9016331800227733, 0.03897099439526591}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 
         16}, {12, 17}}}, {
        GraphHighlight -> {1, 2}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          9 -> "d", 17 -> "b", 14 -> "a", 5 -> "e", 6 -> "*", 13 -> "c", 16 -> 
           "a", 4 -> "+", 15 -> "b", 12 -> "+", 8 -> "*", 7 -> "f", 1 -> "-", 
           10 -> "+", 2 -> "*", 3 -> "+", 11 -> "c"}, 
         VertexShapeFunction -> {2 -> "Square", 1 -> "Square"}, 
         VertexSize -> {1 -> Medium, 2 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.511869300135023, 4.237193671390037}, \
{2.6641038136300206, 4.389428184885035}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6742527754452725, 4.399577146700286}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 3.37453148576253}, \
{1.8014416280025134, 3.5267659992575275}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 3.5369149610727795}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 3.4506487425100287}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 3.489619736905295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2939932784412609, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.3329642728365267, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {2.195626458464034, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.881979835323783, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {3.920950829719049, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8626621856275073, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.9016331800227733, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7253243712550146, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {1.7642953656502804, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5879865568825218, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.626957551277788, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.43133109281375365, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {0.47030208720901956, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2939932784412609, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.3329642728365267, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {2.195626458464034, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.}, 0.03897099439526591], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {0.03897099439526591, 0.03897099439526591}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8626621856275073, 0.}, 0.03897099439526591], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {0.9016331800227733, 0.03897099439526591}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 
         16}, {12, 17}}}, {
        GraphHighlight -> {1, 4, 2}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          9 -> "d", 17 -> "b", 14 -> "a", 5 -> "e", 6 -> "*", 13 -> "c", 16 -> 
           "a", 4 -> "+", 15 -> "b", 12 -> "+", 8 -> "*", 7 -> "f", 1 -> "-", 
           10 -> "+", 2 -> "*", 3 -> "+", 11 -> "c"}, 
         VertexShapeFunction -> {2 -> "Square", 4 -> "Square", 1 -> "Square"},
          VertexSize -> {1 -> Medium, 4 -> Medium, 2 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.511869300135023, 4.237193671390037}, \
{2.6641038136300206, 4.389428184885035}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6742527754452725, 4.399577146700286}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 3.37453148576253}, \
{1.8014416280025134, 3.5267659992575275}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 3.5369149610727795}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 3.4506487425100287}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 3.489619736905295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 2.5118693001350225}, \
{1.3701105351887597, 2.66410381363002}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {2.195626458464034, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.881979835323783, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {3.920950829719049, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8626621856275073, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.9016331800227733, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7253243712550146, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {1.7642953656502804, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5879865568825218, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.626957551277788, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.43133109281375365, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {0.47030208720901956, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2939932784412609, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.3329642728365267, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {2.195626458464034, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.}, 0.03897099439526591], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {0.03897099439526591, 0.03897099439526591}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8626621856275073, 0.}, 0.03897099439526591], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {0.9016331800227733, 0.03897099439526591}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 
         16}, {12, 17}}}, {
        GraphHighlight -> {1, 4, 2, 8}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          9 -> "d", 17 -> "b", 14 -> "a", 5 -> "e", 6 -> "*", 13 -> "c", 16 -> 
           "a", 4 -> "+", 15 -> "b", 12 -> "+", 8 -> "*", 7 -> "f", 1 -> "-", 
           10 -> "+", 2 -> "*", 3 -> "+", 11 -> "c"}, 
         VertexShapeFunction -> {
          2 -> "Square", 4 -> "Square", 8 -> "Square", 1 -> "Square"}, 
         VertexSize -> {
          1 -> Medium, 4 -> Medium, 2 -> Medium, 8 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.511869300135023, 4.237193671390037}, \
{2.6641038136300206, 4.389428184885035}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6742527754452725, 4.399577146700286}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 3.37453148576253}, \
{1.8014416280025134, 3.5267659992575275}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 3.5369149610727795}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 3.4506487425100287}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 3.489619736905295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 2.5118693001350225}, \
{1.3701105351887597, 2.66410381363002}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {2.195626458464034, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.881979835323783, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {3.920950829719049, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            
            RectangleBox[{0.7865449288800085, 1.6492071145075156}, \
{0.9387794423750061, 1.8014416280025132}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.948928404190258, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7253243712550146, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {1.7642953656502804, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5879865568825218, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.626957551277788, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.43133109281375365, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {0.47030208720901956, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2939932784412609, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.3329642728365267, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {2.195626458464034, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.}, 0.03897099439526591], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {0.03897099439526591, 0.03897099439526591}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8626621856275073, 0.}, 0.03897099439526591], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {0.9016331800227733, 0.03897099439526591}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 
         16}, {12, 17}}}, {
        GraphHighlight -> {1, 4, 2, 8, 12}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          9 -> "d", 17 -> "b", 14 -> "a", 5 -> "e", 6 -> "*", 13 -> "c", 16 -> 
           "a", 4 -> "+", 15 -> "b", 12 -> "+", 8 -> "*", 7 -> "f", 1 -> "-", 
           10 -> "+", 2 -> "*", 3 -> "+", 11 -> "c"}, 
         VertexShapeFunction -> {
          2 -> "Square", 12 -> "Square", 4 -> "Square", 8 -> "Square", 1 -> 
           "Square"}, 
         VertexSize -> {
          1 -> Medium, 4 -> Medium, 2 -> Medium, 8 -> Medium, 12 -> 
           Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.511869300135023, 4.237193671390037}, \
{2.6641038136300206, 4.389428184885035}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6742527754452725, 4.399577146700286}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 3.37453148576253}, \
{1.8014416280025134, 3.5267659992575275}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 3.5369149610727795}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 3.4506487425100287}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 3.489619736905295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 2.5118693001350225}, \
{1.3701105351887597, 2.66410381363002}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {2.195626458464034, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.881979835323783, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {3.920950829719049, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, 1.6492071145075156}, \
{0.9387794423750061, 1.8014416280025132}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.948928404190258, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7253243712550146, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {1.7642953656502804, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5879865568825218, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.626957551277788, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.35521383606625484, 0.7865449288800082}, \
{0.5074483495612524, 0.9387794423750058}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {0.5175973113765043, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2939932784412609, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.3329642728365267, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {2.195626458464034, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.}, 0.03897099439526591], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {0.03897099439526591, 0.03897099439526591}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8626621856275073, 0.}, 0.03897099439526591], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {0.9016331800227733, 0.03897099439526591}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 
         16}, {12, 17}}}, {
        GraphHighlight -> {1, 16, 4, 2, 8, 12}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          9 -> "d", 17 -> "b", 14 -> "a", 5 -> "e", 6 -> "*", 13 -> "c", 16 -> 
           "a", 4 -> "+", 15 -> "b", 12 -> "+", 8 -> "*", 7 -> "f", 1 -> "-", 
           10 -> "+", 2 -> "*", 3 -> "+", 11 -> "c"}, 
         VertexShapeFunction -> {
          2 -> "Square", 12 -> "Square", 4 -> "Square", 16 -> "Square", 8 -> 
           "Square", 1 -> "Square"}, 
         VertexSize -> {
          1 -> Medium, 4 -> Medium, 2 -> Medium, 8 -> Medium, 12 -> Medium, 
           16 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.511869300135023, 4.237193671390037}, \
{2.6641038136300206, 4.389428184885035}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6742527754452725, 4.399577146700286}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 3.37453148576253}, \
{1.8014416280025134, 3.5267659992575275}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 3.5369149610727795}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 3.4506487425100287}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 3.489619736905295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 2.5118693001350225}, \
{1.3701105351887597, 2.66410381363002}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {2.195626458464034, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.881979835323783, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {3.920950829719049, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            
            RectangleBox[{0.7865449288800085, 1.6492071145075156}, \
{0.9387794423750061, 1.8014416280025132}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.948928404190258, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7253243712550146, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {1.7642953656502804, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5879865568825218, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.626957551277788, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.35521383606625484, 0.7865449288800082}, \
{0.5074483495612524, 0.9387794423750058}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {0.5175973113765043, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2939932784412609, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.3329642728365267, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {2.195626458464034, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.0761172567474988, -0.0761172567474988}, \
{0.0761172567474988, 0.0761172567474988}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {0.08626621856275073, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8626621856275073, 0.}, 0.03897099439526591], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {0.9016331800227733, 0.03897099439526591}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 
         16}, {12, 17}}}, {
        GraphHighlight -> {17, 1, 16, 4, 2, 8, 12}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          9 -> "d", 17 -> "b", 14 -> "a", 5 -> "e", 6 -> "*", 13 -> "c", 16 -> 
           "a", 4 -> "+", 15 -> "b", 12 -> "+", 8 -> "*", 7 -> "f", 1 -> "-", 
           10 -> "+", 2 -> "*", 3 -> "+", 11 -> "c"}, 
         VertexShapeFunction -> {
          2 -> "Square", 12 -> "Square", 4 -> "Square", 16 -> "Square", 8 -> 
           "Square", 1 -> "Square", 17 -> "Square"}, 
         VertexSize -> {
          1 -> Medium, 4 -> Medium, 2 -> Medium, 8 -> Medium, 12 -> Medium, 
           17 -> Medium, 16 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.511869300135023, 4.237193671390037}, \
{2.6641038136300206, 4.389428184885035}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6742527754452725, 4.399577146700286}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 3.37453148576253}, \
{1.8014416280025134, 3.5267659992575275}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 3.5369149610727795}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 3.4506487425100287}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 3.489619736905295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 2.5118693001350225}, \
{1.3701105351887597, 2.66410381363002}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {2.195626458464034, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.881979835323783, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {3.920950829719049, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, 1.6492071145075156}, \
{0.9387794423750061, 1.8014416280025132}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.948928404190258, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7253243712550146, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {1.7642953656502804, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5879865568825218, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.626957551277788, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.35521383606625484, 0.7865449288800082}, \
{0.5074483495612524, 0.9387794423750058}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {0.5175973113765043, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2939932784412609, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.3329642728365267, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {2.195626458464034, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.0761172567474988, -0.0761172567474988}, \
{0.0761172567474988, 0.0761172567474988}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {0.08626621856275073, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, -0.0761172567474988}, \
{0.9387794423750061, 0.0761172567474988}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {0.948928404190258, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 
         16}, {12, 17}}}, {
        GraphHighlight -> {17, 1, 16, 4, 2, 13, 8, 12}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          9 -> "d", 17 -> "b", 14 -> "a", 5 -> "e", 6 -> "*", 13 -> "c", 16 -> 
           "a", 4 -> "+", 15 -> "b", 12 -> "+", 8 -> "*", 7 -> "f", 1 -> "-", 
           10 -> "+", 2 -> "*", 3 -> "+", 11 -> "c"}, 
         VertexShapeFunction -> {
          2 -> "Square", 12 -> "Square", 4 -> "Square", 16 -> "Square", 8 -> 
           "Square", 1 -> "Square", 13 -> "Square", 17 -> "Square"}, 
         VertexSize -> {
          1 -> Medium, 4 -> Medium, 2 -> Medium, 8 -> Medium, 13 -> Medium, 
           12 -> Medium, 17 -> Medium, 16 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.511869300135023, 4.237193671390037}, \
{2.6641038136300206, 4.389428184885035}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6742527754452725, 4.399577146700286}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 3.37453148576253}, \
{1.8014416280025134, 3.5267659992575275}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 3.5369149610727795}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 3.4506487425100287}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 3.489619736905295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 2.5118693001350225}, \
{1.3701105351887597, 2.66410381363002}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {2.195626458464034, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.881979835323783, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {3.920950829719049, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, 1.6492071145075156}, \
{0.9387794423750061, 1.8014416280025132}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.948928404190258, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7253243712550146, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {1.7642953656502804, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5879865568825218, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.626957551277788, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.35521383606625484, 0.7865449288800082}, \
{0.5074483495612524, 0.9387794423750058}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {0.5175973113765043, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 0.7865449288800082}, \
{1.3701105351887597, 0.9387794423750058}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {2.195626458464034, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.0761172567474988, -0.0761172567474988}, \
{0.0761172567474988, 0.0761172567474988}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {0.08626621856275073, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, -0.0761172567474988}, \
{0.9387794423750061, 0.0761172567474988}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {0.948928404190258, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 
         16}, {12, 17}}}, {
        GraphHighlight -> {17, 1, 16, 4, 2, 9, 13, 8, 12}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          9 -> "d", 17 -> "b", 14 -> "a", 5 -> "e", 6 -> "*", 13 -> "c", 16 -> 
           "a", 4 -> "+", 15 -> "b", 12 -> "+", 8 -> "*", 7 -> "f", 1 -> "-", 
           10 -> "+", 2 -> "*", 3 -> "+", 11 -> "c"}, 
         VertexShapeFunction -> {
          2 -> "Square", 12 -> "Square", 4 -> "Square", 16 -> "Square", 8 -> 
           "Square", 9 -> "Square", 1 -> "Square", 13 -> "Square", 17 -> 
           "Square"}, 
         VertexSize -> {
          1 -> Medium, 9 -> Medium, 4 -> Medium, 2 -> Medium, 8 -> Medium, 13 -> 
           Medium, 12 -> Medium, 17 -> Medium, 16 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.511869300135023, 4.237193671390037}, \
{2.6641038136300206, 4.389428184885035}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6742527754452725, 4.399577146700286}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 3.37453148576253}, \
{1.8014416280025134, 3.5267659992575275}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 3.5369149610727795}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 3.4506487425100287}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 3.489619736905295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 2.5118693001350225}, \
{1.3701105351887597, 2.66410381363002}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {2.195626458464034, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.881979835323783, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {3.920950829719049, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, 1.6492071145075156}, \
{0.9387794423750061, 1.8014416280025132}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.948928404190258, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 1.6492071145075156}, \
{1.8014416280025134, 1.8014416280025132}]}, 
           InsetBox["\<\"d\"\>", Offset[{2, 2}, 
            {1.8115905898177653, 1.811590589817765}], ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5879865568825218, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.626957551277788, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.35521383606625484, 0.7865449288800082}, \
{0.5074483495612524, 0.9387794423750058}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {0.5175973113765043, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 0.7865449288800082}, \
{1.3701105351887597, 0.9387794423750058}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {2.195626458464034, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.0761172567474988, -0.0761172567474988}, \
{0.0761172567474988, 0.0761172567474988}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {0.08626621856275073, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, -0.0761172567474988}, \
{0.9387794423750061, 0.0761172567474988}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {0.948928404190258, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 
         16}, {12, 17}}}, {
        GraphHighlight -> {17, 1, 16, 4, 5, 2, 9, 13, 8, 12}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          9 -> "d", 17 -> "b", 14 -> "a", 5 -> "e", 6 -> "*", 13 -> "c", 16 -> 
           "a", 4 -> "+", 15 -> "b", 12 -> "+", 8 -> "*", 7 -> "f", 1 -> "-", 
           10 -> "+", 2 -> "*", 3 -> "+", 11 -> "c"}, 
         VertexShapeFunction -> {
          2 -> "Square", 12 -> "Square", 4 -> "Square", 16 -> "Square", 8 -> 
           "Square", 9 -> "Square", 5 -> "Square", 1 -> "Square", 13 -> 
           "Square", 17 -> "Square"}, 
         VertexSize -> {
          1 -> Medium, 9 -> Medium, 4 -> Medium, 2 -> Medium, 5 -> Medium, 8 -> 
           Medium, 13 -> Medium, 12 -> Medium, 17 -> Medium, 16 -> 
           Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.511869300135023, 4.237193671390037}, \
{2.6641038136300206, 4.389428184885035}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6742527754452725, 4.399577146700286}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 3.37453148576253}, \
{1.8014416280025134, 3.5267659992575275}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 3.5369149610727795}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 3.4506487425100287}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 3.489619736905295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 2.5118693001350225}, \
{1.3701105351887597, 2.66410381363002}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0805382073212693, 2.5118693001350225}, \
{2.232772720816267, 2.66410381363002}]}, 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {2.242921682631519, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.881979835323783, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {3.920950829719049, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, 1.6492071145075156}, \
{0.9387794423750061, 1.8014416280025132}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.948928404190258, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 1.6492071145075156}, \
{1.8014416280025134, 1.8014416280025132}]}, 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5879865568825218, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.626957551277788, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.35521383606625484, 0.7865449288800082}, \
{0.5074483495612524, 0.9387794423750058}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {0.5175973113765043, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 0.7865449288800082}, \
{1.3701105351887597, 0.9387794423750058}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {2.195626458464034, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.0761172567474988, -0.0761172567474988}, \
{0.0761172567474988, 0.0761172567474988}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {0.08626621856275073, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, -0.0761172567474988}, \
{0.9387794423750061, 0.0761172567474988}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {0.948928404190258, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 
         16}, {12, 17}}}, {
        GraphHighlight -> {17, 1, 16, 3, 4, 5, 2, 9, 13, 8, 12}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          9 -> "d", 17 -> "b", 14 -> "a", 5 -> "e", 6 -> "*", 13 -> "c", 16 -> 
           "a", 4 -> "+", 15 -> "b", 12 -> "+", 8 -> "*", 7 -> "f", 1 -> "-", 
           10 -> "+", 2 -> "*", 3 -> "+", 11 -> "c"}, 
         VertexShapeFunction -> {
          2 -> "Square", 3 -> "Square", 12 -> "Square", 4 -> "Square", 16 -> 
           "Square", 8 -> "Square", 9 -> "Square", 5 -> "Square", 1 -> 
           "Square", 13 -> "Square", 17 -> "Square"}, 
         VertexSize -> {
          1 -> Medium, 9 -> Medium, 4 -> Medium, 2 -> Medium, 5 -> Medium, 8 -> 
           Medium, 13 -> Medium, 12 -> Medium, 17 -> Medium, 3 -> Medium, 16 -> 
           Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.511869300135023, 4.237193671390037}, \
{2.6641038136300206, 4.389428184885035}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6742527754452725, 4.399577146700286}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 3.37453148576253}, \
{1.8014416280025134, 3.5267659992575275}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 3.5369149610727795}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            
            RectangleBox[{3.3745314857625304, 3.37453148576253}, \
{3.526765999257528, 3.5267659992575275}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.53691496107278, 3.5369149610727795}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 2.5118693001350225}, \
{1.3701105351887597, 2.66410381363002}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0805382073212693, 2.5118693001350225}, \
{2.232772720816267, 2.66410381363002}]}, 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {2.242921682631519, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.881979835323783, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {3.920950829719049, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, 1.6492071145075156}, \
{0.9387794423750061, 1.8014416280025132}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.948928404190258, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 1.6492071145075156}, \
{1.8014416280025134, 1.8014416280025132}]}, 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5879865568825218, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.626957551277788, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.35521383606625484, 0.7865449288800082}, \
{0.5074483495612524, 0.9387794423750058}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {0.5175973113765043, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 0.7865449288800082}, \
{1.3701105351887597, 0.9387794423750058}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {2.195626458464034, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.0761172567474988, -0.0761172567474988}, \
{0.0761172567474988, 0.0761172567474988}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {0.08626621856275073, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, -0.0761172567474988}, \
{0.9387794423750061, 0.0761172567474988}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {0.948928404190258, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 
         16}, {12, 17}}}, {
        GraphHighlight -> {17, 1, 16, 3, 4, 5, 6, 2, 9, 13, 8, 12}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          9 -> "d", 17 -> "b", 14 -> "a", 5 -> "e", 6 -> "*", 13 -> "c", 16 -> 
           "a", 4 -> "+", 15 -> "b", 12 -> "+", 8 -> "*", 7 -> "f", 1 -> "-", 
           10 -> "+", 2 -> "*", 3 -> "+", 11 -> "c"}, 
         VertexShapeFunction -> {
          2 -> "Square", 3 -> "Square", 12 -> "Square", 4 -> "Square", 16 -> 
           "Square", 8 -> "Square", 9 -> "Square", 6 -> "Square", 5 -> 
           "Square", 1 -> "Square", 13 -> "Square", 17 -> "Square"}, 
         VertexSize -> {
          1 -> Medium, 9 -> Medium, 4 -> Medium, 2 -> Medium, 5 -> Medium, 8 -> 
           Medium, 13 -> Medium, 12 -> Medium, 17 -> Medium, 3 -> Medium, 16 -> 
           Medium, 6 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.511869300135023, 4.237193671390037}, \
{2.6641038136300206, 4.389428184885035}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6742527754452725, 4.399577146700286}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 3.37453148576253}, \
{1.8014416280025134, 3.5267659992575275}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 3.5369149610727795}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.3745314857625304, 3.37453148576253}, \
{3.526765999257528, 3.5267659992575275}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.53691496107278, 3.5369149610727795}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 2.5118693001350225}, \
{1.3701105351887597, 2.66410381363002}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0805382073212693, 2.5118693001350225}, \
{2.232772720816267, 2.66410381363002}]}, 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {2.242921682631519, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.9432003929487767, 2.5118693001350225}, \
{3.0954349064437743, 2.66410381363002}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {3.105583868259026, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.881979835323783, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {3.920950829719049, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, 1.6492071145075156}, \
{0.9387794423750061, 1.8014416280025132}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.948928404190258, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 1.6492071145075156}, \
{1.8014416280025134, 1.8014416280025132}]}, 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5879865568825218, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.626957551277788, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.35521383606625484, 0.7865449288800082}, \
{0.5074483495612524, 0.9387794423750058}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {0.5175973113765043, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 0.7865449288800082}, \
{1.3701105351887597, 0.9387794423750058}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {2.195626458464034, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.0761172567474988, -0.0761172567474988}, \
{0.0761172567474988, 0.0761172567474988}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {0.08626621856275073, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, -0.0761172567474988}, \
{0.9387794423750061, 0.0761172567474988}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {0.948928404190258, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 
         16}, {12, 17}}}, {
        GraphHighlight -> {17, 1, 16, 3, 4, 5, 10, 6, 2, 9, 13, 8, 12}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          9 -> "d", 17 -> "b", 14 -> "a", 5 -> "e", 6 -> "*", 13 -> "c", 16 -> 
           "a", 4 -> "+", 15 -> "b", 12 -> "+", 8 -> "*", 7 -> "f", 1 -> "-", 
           10 -> "+", 2 -> "*", 3 -> "+", 11 -> "c"}, 
         VertexShapeFunction -> {
          2 -> "Square", 3 -> "Square", 12 -> "Square", 4 -> "Square", 16 -> 
           "Square", 10 -> "Square", 8 -> "Square", 9 -> "Square", 6 -> 
           "Square", 5 -> "Square", 1 -> "Square", 13 -> "Square", 17 -> 
           "Square"}, 
         VertexSize -> {
          1 -> Medium, 9 -> Medium, 4 -> Medium, 2 -> Medium, 10 -> Medium, 5 -> 
           Medium, 8 -> Medium, 13 -> Medium, 12 -> Medium, 17 -> Medium, 3 -> 
           Medium, 16 -> Medium, 6 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.511869300135023, 4.237193671390037}, \
{2.6641038136300206, 4.389428184885035}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6742527754452725, 4.399577146700286}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 3.37453148576253}, \
{1.8014416280025134, 3.5267659992575275}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 3.5369149610727795}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.3745314857625304, 3.37453148576253}, \
{3.526765999257528, 3.5267659992575275}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.53691496107278, 3.5369149610727795}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 2.5118693001350225}, \
{1.3701105351887597, 2.66410381363002}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0805382073212693, 2.5118693001350225}, \
{2.232772720816267, 2.66410381363002}]}, 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {2.242921682631519, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.9432003929487767, 2.5118693001350225}, \
{3.0954349064437743, 2.66410381363002}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {3.105583868259026, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.881979835323783, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {3.920950829719049, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, 1.6492071145075156}, \
{0.9387794423750061, 1.8014416280025132}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.948928404190258, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 1.6492071145075156}, \
{1.8014416280025134, 1.8014416280025132}]}, 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.511869300135023, 1.6492071145075156}, \
{2.6641038136300206, 1.8014416280025132}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.6742527754452725, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.35521383606625484, 0.7865449288800082}, \
{0.5074483495612524, 0.9387794423750058}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {0.5175973113765043, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 0.7865449288800082}, \
{1.3701105351887597, 0.9387794423750058}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {2.195626458464034, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.0761172567474988, -0.0761172567474988}, \
{0.0761172567474988, 0.0761172567474988}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {0.08626621856275073, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, -0.0761172567474988}, \
{0.9387794423750061, 0.0761172567474988}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {0.948928404190258, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 
         16}, {12, 17}}}, {
        GraphHighlight -> {17, 1, 16, 3, 4, 14, 5, 10, 6, 2, 9, 13, 8, 12}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          9 -> "d", 17 -> "b", 14 -> "a", 5 -> "e", 6 -> "*", 13 -> "c", 16 -> 
           "a", 4 -> "+", 15 -> "b", 12 -> "+", 8 -> "*", 7 -> "f", 1 -> "-", 
           10 -> "+", 2 -> "*", 3 -> "+", 11 -> "c"}, 
         VertexShapeFunction -> {
          2 -> "Square", 3 -> "Square", 12 -> "Square", 4 -> "Square", 16 -> 
           "Square", 10 -> "Square", 8 -> "Square", 14 -> "Square", 9 -> 
           "Square", 6 -> "Square", 5 -> "Square", 1 -> "Square", 13 -> 
           "Square", 17 -> "Square"}, 
         VertexSize -> {
          1 -> Medium, 9 -> Medium, 4 -> Medium, 14 -> Medium, 2 -> Medium, 
           10 -> Medium, 5 -> Medium, 8 -> Medium, 13 -> Medium, 12 -> Medium,
            17 -> Medium, 3 -> Medium, 16 -> Medium, 6 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.511869300135023, 4.237193671390037}, \
{2.6641038136300206, 4.389428184885035}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6742527754452725, 4.399577146700286}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 3.37453148576253}, \
{1.8014416280025134, 3.5267659992575275}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 3.5369149610727795}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.3745314857625304, 3.37453148576253}, \
{3.526765999257528, 3.5267659992575275}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.53691496107278, 3.5369149610727795}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 2.5118693001350225}, \
{1.3701105351887597, 2.66410381363002}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0805382073212693, 2.5118693001350225}, \
{2.232772720816267, 2.66410381363002}]}, 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {2.242921682631519, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.9432003929487767, 2.5118693001350225}, \
{3.0954349064437743, 2.66410381363002}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {3.105583868259026, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.881979835323783, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {3.920950829719049, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, 1.6492071145075156}, \
{0.9387794423750061, 1.8014416280025132}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.948928404190258, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 1.6492071145075156}, \
{1.8014416280025134, 1.8014416280025132}]}, 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.511869300135023, 1.6492071145075156}, \
{2.6641038136300206, 1.8014416280025132}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.6742527754452725, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.35521383606625484, 0.7865449288800082}, \
{0.5074483495612524, 0.9387794423750058}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {0.5175973113765043, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 0.7865449288800082}, \
{1.3701105351887597, 0.9387794423750058}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0805382073212693, 0.7865449288800082}, \
{2.232772720816267, 0.9387794423750058}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {2.242921682631519, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.0761172567474988, -0.0761172567474988}, \
{0.0761172567474988, 0.0761172567474988}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {0.08626621856275073, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, -0.0761172567474988}, \
{0.9387794423750061, 0.0761172567474988}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {0.948928404190258, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 
         16}, {12, 17}}}, {
        GraphHighlight -> {16, 6, 13, 8, 14, 1, 4, 9, 10, 5, 15, 17, 12, 3, 
          2}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "*", 12 -> "+", 14 -> "a", 2 -> "*", 13 -> "c", 5 -> "e", 7 -> 
           "f", 9 -> "d", 17 -> "b", 16 -> "a", 11 -> "c", 6 -> "*", 1 -> "-",
            15 -> "b", 3 -> "+", 4 -> "+", 10 -> "+"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 3 -> 
           "Square", 8 -> "Square", 4 -> "Square", 2 -> "Square", 6 -> 
           "Square", 1 -> "Square", 12 -> "Square", 9 -> "Square", 13 -> 
           "Square", 16 -> "Square", 5 -> "Square"}, 
         VertexSize -> {
          6 -> Medium, 12 -> Medium, 3 -> Medium, 5 -> Medium, 2 -> Medium, 
           16 -> Medium, 15 -> Medium, 14 -> Medium, 10 -> Medium, 8 -> 
           Medium, 1 -> Medium, 9 -> Medium, 17 -> Medium, 13 -> Medium, 4 -> 
           Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.511869300135023, 4.237193671390037}, \
{2.6641038136300206, 4.389428184885035}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6742527754452725, 4.399577146700286}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 3.37453148576253}, \
{1.8014416280025134, 3.5267659992575275}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 3.5369149610727795}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.3745314857625304, 3.37453148576253}, \
{3.526765999257528, 3.5267659992575275}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.53691496107278, 3.5369149610727795}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 2.5118693001350225}, \
{1.3701105351887597, 2.66410381363002}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0805382073212693, 2.5118693001350225}, \
{2.232772720816267, 2.66410381363002}]}, 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {2.242921682631519, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.9432003929487767, 2.5118693001350225}, \
{3.0954349064437743, 2.66410381363002}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {3.105583868259026, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.881979835323783, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {3.920950829719049, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, 1.6492071145075156}, \
{0.9387794423750061, 1.8014416280025132}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.948928404190258, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 1.6492071145075156}, \
{1.8014416280025134, 1.8014416280025132}]}, 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.511869300135023, 1.6492071145075156}, \
{2.6641038136300206, 1.8014416280025132}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.6742527754452725, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.35521383606625484, 0.7865449288800082}, \
{0.5074483495612524, 0.9387794423750058}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {0.5175973113765043, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 0.7865449288800082}, \
{1.3701105351887597, 0.9387794423750058}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0805382073212693, 0.7865449288800082}, \
{2.232772720816267, 0.9387794423750058}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {2.242921682631519, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.9432003929487767, 0.7865449288800082}, \
{3.0954349064437743, 0.9387794423750058}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.105583868259026, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.0761172567474988, -0.0761172567474988}, 
             {0.0761172567474988, 0.0761172567474988}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {0.08626621856275073, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, -0.0761172567474988}, \
{0.9387794423750061, 0.0761172567474988}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {0.948928404190258, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 
         16}, {12, 17}}}, {
        GraphHighlight -> {16, 6, 13, 11, 8, 14, 1, 4, 9, 10, 5, 15, 17, 12, 
          3, 2}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "*", 12 -> "+", 14 -> "a", 2 -> "*", 13 -> "c", 5 -> "e", 7 -> 
           "f", 9 -> "d", 17 -> "b", 16 -> "a", 11 -> "c", 6 -> "*", 1 -> "-",
            15 -> "b", 3 -> "+", 4 -> "+", 10 -> "+"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 3 -> 
           "Square", 11 -> "Square", 8 -> "Square", 4 -> "Square", 2 -> 
           "Square", 6 -> "Square", 1 -> "Square", 12 -> "Square", 9 -> 
           "Square", 13 -> "Square", 16 -> "Square", 5 -> "Square"}, 
         VertexSize -> {
          6 -> Medium, 12 -> Medium, 3 -> Medium, 5 -> Medium, 2 -> Medium, 
           16 -> Medium, 15 -> Medium, 11 -> Medium, 14 -> Medium, 10 -> 
           Medium, 8 -> Medium, 1 -> Medium, 9 -> Medium, 17 -> Medium, 13 -> 
           Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.511869300135023, 4.237193671390037}, \
{2.6641038136300206, 4.389428184885035}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6742527754452725, 4.399577146700286}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 3.37453148576253}, \
{1.8014416280025134, 3.5267659992575275}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 3.5369149610727795}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.3745314857625304, 3.37453148576253}, \
{3.526765999257528, 3.5267659992575275}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.53691496107278, 3.5369149610727795}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 2.5118693001350225}, \
{1.3701105351887597, 2.66410381363002}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0805382073212693, 2.5118693001350225}, \
{2.232772720816267, 2.66410381363002}]}, 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {2.242921682631519, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.9432003929487767, 2.5118693001350225}, \
{3.0954349064437743, 2.66410381363002}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {3.105583868259026, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.881979835323783, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {3.920950829719049, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, 1.6492071145075156}, \
{0.9387794423750061, 1.8014416280025132}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.948928404190258, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 1.6492071145075156}, \
{1.8014416280025134, 1.8014416280025132}]}, 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.511869300135023, 1.6492071145075156}, \
{2.6641038136300206, 1.8014416280025132}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.6742527754452725, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.3745314857625304, 1.6492071145075156}, \
{3.526765999257528, 1.8014416280025132}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {3.53691496107278, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.35521383606625484, 0.7865449288800082}, \
{0.5074483495612524, 0.9387794423750058}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {0.5175973113765043, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 0.7865449288800082}, \
{1.3701105351887597, 0.9387794423750058}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0805382073212693, 0.7865449288800082}, \
{2.232772720816267, 0.9387794423750058}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {2.242921682631519, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.9432003929487767, 0.7865449288800082}, \
{3.0954349064437743, 0.9387794423750058}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.105583868259026, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.0761172567474988, -0.0761172567474988}, \
{0.0761172567474988, 0.0761172567474988}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {0.08626621856275073, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, -0.0761172567474988}, \
{0.9387794423750061, 0.0761172567474988}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {0.948928404190258, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 
         16}, {12, 17}}}, {
        GraphHighlight -> {16, 6, 13, 11, 8, 7, 14, 1, 4, 9, 10, 5, 15, 17, 
          12, 3, 2}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "*", 12 -> "+", 14 -> "a", 2 -> "*", 13 -> "c", 5 -> "e", 7 -> 
           "f", 9 -> "d", 17 -> "b", 16 -> "a", 11 -> "c", 6 -> "*", 1 -> "-",
            15 -> "b", 3 -> "+", 4 -> "+", 10 -> "+"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 3 -> 
           "Square", 11 -> "Square", 7 -> "Square", 8 -> "Square", 4 -> 
           "Square", 2 -> "Square", 6 -> "Square", 1 -> "Square", 12 -> 
           "Square", 9 -> "Square", 13 -> "Square", 16 -> "Square", 5 -> 
           "Square"}, 
         VertexSize -> {
          6 -> Medium, 12 -> Medium, 3 -> Medium, 5 -> Medium, 2 -> Medium, 
           16 -> Medium, 15 -> Medium, 7 -> Medium, 11 -> Medium, 14 -> 
           Medium, 10 -> Medium, 8 -> Medium, 1 -> Medium, 9 -> Medium, 17 -> 
           Medium, 13 -> Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.511869300135023, 4.237193671390037}, \
{2.6641038136300206, 4.389428184885035}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6742527754452725, 4.399577146700286}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 3.37453148576253}, \
{1.8014416280025134, 3.5267659992575275}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 3.5369149610727795}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.3745314857625304, 3.37453148576253}, \
{3.526765999257528, 3.5267659992575275}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.53691496107278, 3.5369149610727795}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 2.5118693001350225}, \
{1.3701105351887597, 2.66410381363002}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0805382073212693, 2.5118693001350225}, \
{2.232772720816267, 2.66410381363002}]}, 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {2.242921682631519, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.9432003929487767, 2.5118693001350225}, \
{3.0954349064437743, 2.66410381363002}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {3.105583868259026, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.805862578576284, 2.5118693001350225}, \
{3.9580970920712817, 2.66410381363002}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {3.9682460538865336, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, 1.6492071145075156}, \
{0.9387794423750061, 1.8014416280025132}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.948928404190258, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 1.6492071145075156}, \
{1.8014416280025134, 1.8014416280025132}]}, 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.511869300135023, 1.6492071145075156}, \
{2.6641038136300206, 1.8014416280025132}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.6742527754452725, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.3745314857625304, 1.6492071145075156}, \
{3.526765999257528, 1.8014416280025132}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {3.53691496107278, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.35521383606625484, 0.7865449288800082}, \
{0.5074483495612524, 0.9387794423750058}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {0.5175973113765043, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 0.7865449288800082}, \
{1.3701105351887597, 0.9387794423750058}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0805382073212693, 0.7865449288800082}, \
{2.232772720816267, 0.9387794423750058}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {2.242921682631519, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.9432003929487767, 0.7865449288800082}, \
{3.0954349064437743, 0.9387794423750058}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.105583868259026, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.0761172567474988, -0.0761172567474988}, \
{0.0761172567474988, 0.0761172567474988}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {0.08626621856275073, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, -0.0761172567474988}, \
{0.9387794423750061, 0.0761172567474988}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {0.948928404190258, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10]}], "}"}]], "Output",
 CellChangeTimes->{{3.815224586453422*^9, 3.815224651769678*^9}, 
   3.815226967336547*^9, 3.8152270460033755`*^9, 3.8152271219779873`*^9, {
   3.815231658798027*^9, 3.8152316851364994`*^9}},
 CellLabel->"Out[22]=",ExpressionUUID->"5a879cb0-79e7-4c36-bc9d-af4f749748f1"]
}, Open  ]],

Cell["Orden final:", "Text",
 CellChangeTimes->{{3.8151378430904517`*^9, 3.8151378549324846`*^9}, {
  3.815224518944827*^9, 
  3.815224519676916*^9}},ExpressionUUID->"2111e3b5-d481-4a02-8522-\
23b11bf9f62c"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Orden", "=", 
   RowBox[{"{", 
    RowBox[{
    "16", ",", "17", ",", "12", ",", "13", ",", "8", ",", "9", ",", "4", ",", 
     "5", ",", "2", ",", "14", ",", "15", ",", "10", ",", "11", ",", "6", ",",
      "7", ",", "3", ",", "1"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"HighlightGraph", "[", 
    RowBox[{"arbol", ",", 
     RowBox[{"Orden", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "vertex"}], "]"}], "]"}], ",", 
     RowBox[{"VertexLabels", "\[Rule]", "\"\<Name\>\""}], ",", 
     RowBox[{"ImagePadding", "\[Rule]", "10"}], ",", 
     RowBox[{"GraphHighlightStyle", "\[Rule]", "\"\<Thick\>\""}], ",", 
     RowBox[{"VertexSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{"VertexShapeFunction", "\[Rule]", "\"\<Square\>\""}], ",", 
     RowBox[{"VertexLabels", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"1", "\[Rule]", "\"\<-\>\""}], ",", 
        RowBox[{"2", "\[Rule]", " ", "\"\<*\>\""}], ",", " ", 
        RowBox[{"3", "\[Rule]", "\"\<+\>\""}], ",", 
        RowBox[{"4", "\[Rule]", "\"\<+\>\""}], ",", 
        RowBox[{"5", "\[Rule]", "\"\<e\>\""}], ",", 
        RowBox[{"6", "\[Rule]", "\"\<*\>\""}], ",", 
        RowBox[{"7", "\[Rule]", "\"\<f\>\""}], ",", 
        RowBox[{"8", "\[Rule]", "\"\<*\>\""}], ",", 
        RowBox[{"9", "\[Rule]", "\"\<d\>\""}], ",", 
        RowBox[{"10", "\[Rule]", "\"\<+\>\""}], ",", 
        RowBox[{"11", "\[Rule]", "\"\<c\>\""}], ",", 
        RowBox[{"12", "\[Rule]", "\"\<+\>\""}], ",", 
        RowBox[{"13", "\[Rule]", "\"\<c\>\""}], ",", 
        RowBox[{"14", "\[Rule]", "\"\<a\>\""}], ",", 
        RowBox[{"15", "\[Rule]", "\"\<b\>\""}], ",", 
        RowBox[{"16", "\[Rule]", "\"\<a\>\""}], ",", 
        RowBox[{"17", "\[Rule]", "\"\<b\>\""}]}], "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"vertex", ",", 
     RowBox[{"Length", "[", "Orden", "]"}]}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{3.815224565128193*^9, 3.8152246722964363`*^9, 
  3.81522595421541*^9, 3.8152269804436064`*^9},
 CellLabel->"In[23]:=",ExpressionUUID->"824be951-a491-4686-a378-9213ef773a66"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 
         16}, {12, 17}}}, {
        GraphHighlight -> {16}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          9 -> "d", 17 -> "b", 14 -> "a", 5 -> "e", 6 -> "*", 13 -> "c", 16 -> 
           "a", 4 -> "+", 15 -> "b", 12 -> "+", 8 -> "*", 7 -> "f", 1 -> "-", 
           10 -> "+", 2 -> "*", 3 -> "+", 11 -> "c"}, 
         VertexShapeFunction -> {16 -> "Square"}, 
         VertexSize -> {16 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.5879865568825218, 4.313310928137536}, 
            0.03897099439526591], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.626957551277788, 4.352281922532802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7253243712550146, 3.4506487425100287}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {1.7642953656502804, 3.489619736905295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 3.4506487425100287}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 3.489619736905295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2939932784412609, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.3329642728365267, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {2.195626458464034, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.881979835323783, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {3.920950829719049, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8626621856275073, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.9016331800227733, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7253243712550146, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {1.7642953656502804, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5879865568825218, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.626957551277788, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.43133109281375365, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {0.47030208720901956, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2939932784412609, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.3329642728365267, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {2.195626458464034, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.0761172567474988, -0.0761172567474988}, \
{0.0761172567474988, 0.0761172567474988}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {0.08626621856275073, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8626621856275073, 0.}, 0.03897099439526591], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {0.9016331800227733, 0.03897099439526591}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 
         16}, {12, 17}}}, {
        GraphHighlight -> {17, 16}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          9 -> "d", 17 -> "b", 14 -> "a", 5 -> "e", 6 -> "*", 13 -> "c", 16 -> 
           "a", 4 -> "+", 15 -> "b", 12 -> "+", 8 -> "*", 7 -> "f", 1 -> "-", 
           10 -> "+", 2 -> "*", 3 -> "+", 11 -> "c"}, 
         VertexShapeFunction -> {16 -> "Square", 17 -> "Square"}, 
         VertexSize -> {17 -> Medium, 16 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.5879865568825218, 4.313310928137536}, 
            0.03897099439526591], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.626957551277788, 4.352281922532802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7253243712550146, 3.4506487425100287}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {1.7642953656502804, 3.489619736905295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 3.4506487425100287}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 3.489619736905295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2939932784412609, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.3329642728365267, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {2.195626458464034, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.881979835323783, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {3.920950829719049, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8626621856275073, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.9016331800227733, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7253243712550146, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {1.7642953656502804, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5879865568825218, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.626957551277788, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.43133109281375365, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {0.47030208720901956, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2939932784412609, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.3329642728365267, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {2.195626458464034, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.0761172567474988, -0.0761172567474988}, \
{0.0761172567474988, 0.0761172567474988}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {0.08626621856275073, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, -0.0761172567474988}, \
{0.9387794423750061, 0.0761172567474988}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {0.948928404190258, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 
         16}, {12, 17}}}, {
        GraphHighlight -> {17, 16, 12}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          9 -> "d", 17 -> "b", 14 -> "a", 5 -> "e", 6 -> "*", 13 -> "c", 16 -> 
           "a", 4 -> "+", 15 -> "b", 12 -> "+", 8 -> "*", 7 -> "f", 1 -> "-", 
           10 -> "+", 2 -> "*", 3 -> "+", 11 -> "c"}, 
         VertexShapeFunction -> {
          12 -> "Square", 16 -> "Square", 17 -> "Square"}, 
         VertexSize -> {12 -> Medium, 17 -> Medium, 16 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.5879865568825218, 4.313310928137536}, 
            0.03897099439526591], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.626957551277788, 4.352281922532802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7253243712550146, 3.4506487425100287}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {1.7642953656502804, 3.489619736905295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 3.4506487425100287}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 3.489619736905295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2939932784412609, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.3329642728365267, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {2.195626458464034, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.881979835323783, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {3.920950829719049, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8626621856275073, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.9016331800227733, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7253243712550146, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {1.7642953656502804, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5879865568825218, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.626957551277788, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.35521383606625484, 0.7865449288800082}, \
{0.5074483495612524, 0.9387794423750058}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {0.5175973113765043, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2939932784412609, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.3329642728365267, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {2.195626458464034, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.0761172567474988, -0.0761172567474988}, \
{0.0761172567474988, 0.0761172567474988}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {0.08626621856275073, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, -0.0761172567474988}, \
{0.9387794423750061, 0.0761172567474988}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {0.948928404190258, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 
         16}, {12, 17}}}, {
        GraphHighlight -> {17, 16, 13, 12}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          9 -> "d", 17 -> "b", 14 -> "a", 5 -> "e", 6 -> "*", 13 -> "c", 16 -> 
           "a", 4 -> "+", 15 -> "b", 12 -> "+", 8 -> "*", 7 -> "f", 1 -> "-", 
           10 -> "+", 2 -> "*", 3 -> "+", 11 -> "c"}, 
         VertexShapeFunction -> {
          12 -> "Square", 16 -> "Square", 13 -> "Square", 17 -> "Square"}, 
         VertexSize -> {
          13 -> Medium, 12 -> Medium, 17 -> Medium, 16 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.5879865568825218, 4.313310928137536}, 
            0.03897099439526591], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.626957551277788, 4.352281922532802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7253243712550146, 3.4506487425100287}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {1.7642953656502804, 3.489619736905295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 3.4506487425100287}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 3.489619736905295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2939932784412609, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.3329642728365267, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {2.195626458464034, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.881979835323783, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {3.920950829719049, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8626621856275073, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.9016331800227733, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7253243712550146, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"d\"\>", Offset[{2, 2}, {1.7642953656502804, 1.7642953656502802}],\
 ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5879865568825218, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.626957551277788, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.35521383606625484, 0.7865449288800082}, \
{0.5074483495612524, 0.9387794423750058}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {0.5175973113765043, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 0.7865449288800082}, \
{1.3701105351887597, 0.9387794423750058}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {2.195626458464034, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.0761172567474988, -0.0761172567474988}, \
{0.0761172567474988, 0.0761172567474988}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {0.08626621856275073, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, -0.0761172567474988}, \
{0.9387794423750061, 0.0761172567474988}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {0.948928404190258, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 
         16}, {12, 17}}}, {
        GraphHighlight -> {17, 16, 13, 8, 12}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          9 -> "d", 17 -> "b", 14 -> "a", 5 -> "e", 6 -> "*", 13 -> "c", 16 -> 
           "a", 4 -> "+", 15 -> "b", 12 -> "+", 8 -> "*", 7 -> "f", 1 -> "-", 
           10 -> "+", 2 -> "*", 3 -> "+", 11 -> "c"}, 
         VertexShapeFunction -> {
          12 -> "Square", 16 -> "Square", 8 -> "Square", 13 -> "Square", 17 -> 
           "Square"}, 
         VertexSize -> {
          8 -> Medium, 13 -> Medium, 12 -> Medium, 17 -> Medium, 16 -> 
           Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.5879865568825218, 4.313310928137536}, 
            0.03897099439526591], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.626957551277788, 4.352281922532802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7253243712550146, 3.4506487425100287}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {1.7642953656502804, 3.489619736905295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 3.4506487425100287}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 3.489619736905295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2939932784412609, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.3329642728365267, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {2.195626458464034, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.881979835323783, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {3.920950829719049, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, 1.6492071145075156}, \
{0.9387794423750061, 1.8014416280025132}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.948928404190258, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7253243712550146, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {1.7642953656502804, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5879865568825218, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.626957551277788, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.35521383606625484, 0.7865449288800082}, \
{0.5074483495612524, 0.9387794423750058}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {0.5175973113765043, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 0.7865449288800082}, \
{1.3701105351887597, 0.9387794423750058}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {2.195626458464034, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.0761172567474988, -0.0761172567474988}, \
{0.0761172567474988, 0.0761172567474988}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {0.08626621856275073, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, -0.0761172567474988}, \
{0.9387794423750061, 0.0761172567474988}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {0.948928404190258, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 
         16}, {12, 17}}}, {
        GraphHighlight -> {17, 16, 9, 13, 8, 12}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          9 -> "d", 17 -> "b", 14 -> "a", 5 -> "e", 6 -> "*", 13 -> "c", 16 -> 
           "a", 4 -> "+", 15 -> "b", 12 -> "+", 8 -> "*", 7 -> "f", 1 -> "-", 
           10 -> "+", 2 -> "*", 3 -> "+", 11 -> "c"}, 
         VertexShapeFunction -> {
          12 -> "Square", 16 -> "Square", 8 -> "Square", 9 -> "Square", 13 -> 
           "Square", 17 -> "Square"}, 
         VertexSize -> {
          9 -> Medium, 8 -> Medium, 13 -> Medium, 12 -> Medium, 17 -> Medium, 
           16 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.5879865568825218, 4.313310928137536}, 
            0.03897099439526591], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.626957551277788, 4.352281922532802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7253243712550146, 3.4506487425100287}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {1.7642953656502804, 3.489619736905295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 3.4506487425100287}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 3.489619736905295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.2939932784412609, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.3329642728365267, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {2.195626458464034, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.881979835323783, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {3.920950829719049, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, 1.6492071145075156}, \
{0.9387794423750061, 1.8014416280025132}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.948928404190258, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 1.6492071145075156}, \
{1.8014416280025134, 1.8014416280025132}]}, 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5879865568825218, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.626957551277788, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.35521383606625484, 0.7865449288800082}, \
{0.5074483495612524, 0.9387794423750058}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {0.5175973113765043, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 0.7865449288800082}, \
{1.3701105351887597, 0.9387794423750058}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {2.195626458464034, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.0761172567474988, -0.0761172567474988}, \
{0.0761172567474988, 0.0761172567474988}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {0.08626621856275073, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, -0.0761172567474988}, \
{0.9387794423750061, 0.0761172567474988}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {0.948928404190258, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 
         16}, {12, 17}}}, {
        GraphHighlight -> {17, 16, 4, 9, 13, 8, 12}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          9 -> "d", 17 -> "b", 14 -> "a", 5 -> "e", 6 -> "*", 13 -> "c", 16 -> 
           "a", 4 -> "+", 15 -> "b", 12 -> "+", 8 -> "*", 7 -> "f", 1 -> "-", 
           10 -> "+", 2 -> "*", 3 -> "+", 11 -> "c"}, 
         VertexShapeFunction -> {
          12 -> "Square", 4 -> "Square", 16 -> "Square", 8 -> "Square", 9 -> 
           "Square", 13 -> "Square", 17 -> "Square"}, 
         VertexSize -> {
          9 -> Medium, 4 -> Medium, 8 -> Medium, 13 -> Medium, 12 -> Medium, 
           17 -> Medium, 16 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.5879865568825218, 4.313310928137536}, 
            0.03897099439526591], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.626957551277788, 4.352281922532802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7253243712550146, 3.4506487425100287}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {1.7642953656502804, 3.489619736905295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 3.4506487425100287}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 3.489619736905295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 2.5118693001350225}, \
{1.3701105351887597, 2.66410381363002}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {2.195626458464034, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.881979835323783, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {3.920950829719049, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, 1.6492071145075156}, \
{0.9387794423750061, 1.8014416280025132}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.948928404190258, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 1.6492071145075156}, \
{1.8014416280025134, 1.8014416280025132}]}, 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5879865568825218, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.626957551277788, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.35521383606625484, 0.7865449288800082}, \
{0.5074483495612524, 0.9387794423750058}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {0.5175973113765043, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 0.7865449288800082}, \
{1.3701105351887597, 0.9387794423750058}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {2.195626458464034, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.0761172567474988, -0.0761172567474988}, \
{0.0761172567474988, 0.0761172567474988}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {0.08626621856275073, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, -0.0761172567474988}, \
{0.9387794423750061, 0.0761172567474988}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {0.948928404190258, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 
         16}, {12, 17}}}, {
        GraphHighlight -> {17, 16, 4, 5, 9, 13, 8, 12}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          9 -> "d", 17 -> "b", 14 -> "a", 5 -> "e", 6 -> "*", 13 -> "c", 16 -> 
           "a", 4 -> "+", 15 -> "b", 12 -> "+", 8 -> "*", 7 -> "f", 1 -> "-", 
           10 -> "+", 2 -> "*", 3 -> "+", 11 -> "c"}, 
         VertexShapeFunction -> {
          12 -> "Square", 4 -> "Square", 16 -> "Square", 8 -> "Square", 9 -> 
           "Square", 5 -> "Square", 13 -> "Square", 17 -> "Square"}, 
         VertexSize -> {
          9 -> Medium, 4 -> Medium, 5 -> Medium, 8 -> Medium, 13 -> Medium, 
           12 -> Medium, 17 -> Medium, 16 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.5879865568825218, 4.313310928137536}, 
            0.03897099439526591], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.626957551277788, 4.352281922532802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7253243712550146, 3.4506487425100287}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {1.7642953656502804, 3.489619736905295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 3.4506487425100287}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 3.489619736905295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 2.5118693001350225}, \
{1.3701105351887597, 2.66410381363002}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0805382073212693, 2.5118693001350225}, \
{2.232772720816267, 2.66410381363002}]}, 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {2.242921682631519, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.881979835323783, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {3.920950829719049, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, 1.6492071145075156}, \
{0.9387794423750061, 1.8014416280025132}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.948928404190258, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 1.6492071145075156}, \
{1.8014416280025134, 1.8014416280025132}]}, 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5879865568825218, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.626957551277788, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            
            RectangleBox[{0.35521383606625484, 0.7865449288800082}, \
{0.5074483495612524, 0.9387794423750058}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {0.5175973113765043, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 0.7865449288800082}, \
{1.3701105351887597, 0.9387794423750058}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {2.195626458464034, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.0761172567474988, -0.0761172567474988}, \
{0.0761172567474988, 0.0761172567474988}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {0.08626621856275073, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, -0.0761172567474988}, \
{0.9387794423750061, 0.0761172567474988}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {0.948928404190258, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 
         16}, {12, 17}}}, {
        GraphHighlight -> {17, 16, 4, 5, 2, 9, 13, 8, 12}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          9 -> "d", 17 -> "b", 14 -> "a", 5 -> "e", 6 -> "*", 13 -> "c", 16 -> 
           "a", 4 -> "+", 15 -> "b", 12 -> "+", 8 -> "*", 7 -> "f", 1 -> "-", 
           10 -> "+", 2 -> "*", 3 -> "+", 11 -> "c"}, 
         VertexShapeFunction -> {
          2 -> "Square", 12 -> "Square", 4 -> "Square", 16 -> "Square", 8 -> 
           "Square", 9 -> "Square", 5 -> "Square", 13 -> "Square", 17 -> 
           "Square"}, 
         VertexSize -> {
          9 -> Medium, 4 -> Medium, 2 -> Medium, 5 -> Medium, 8 -> Medium, 13 -> 
           Medium, 12 -> Medium, 17 -> Medium, 16 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.5879865568825218, 4.313310928137536}, 
            0.03897099439526591], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.626957551277788, 4.352281922532802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 3.37453148576253}, \
{1.8014416280025134, 3.5267659992575275}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 3.5369149610727795}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 3.4506487425100287}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 3.489619736905295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 2.5118693001350225}, \
{1.3701105351887597, 2.66410381363002}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0805382073212693, 2.5118693001350225}, \
{2.232772720816267, 2.66410381363002}]}, 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {2.242921682631519, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.881979835323783, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {3.920950829719049, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, 1.6492071145075156}, \
{0.9387794423750061, 1.8014416280025132}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.948928404190258, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            
            RectangleBox[{1.6492071145075158, 1.6492071145075156}, \
{1.8014416280025134, 1.8014416280025132}]}, 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5879865568825218, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.626957551277788, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.35521383606625484, 0.7865449288800082}, \
{0.5074483495612524, 0.9387794423750058}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {0.5175973113765043, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 0.7865449288800082}, \
{1.3701105351887597, 0.9387794423750058}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.156655464068768, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {2.195626458464034, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            
            RectangleBox[{-0.0761172567474988, -0.0761172567474988}, \
{0.0761172567474988, 0.0761172567474988}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {0.08626621856275073, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, -0.0761172567474988}, \
{0.9387794423750061, 0.0761172567474988}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {0.948928404190258, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 
         16}, {12, 17}}}, {
        GraphHighlight -> {17, 16, 4, 14, 5, 2, 9, 13, 8, 12}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          9 -> "d", 17 -> "b", 14 -> "a", 5 -> "e", 6 -> "*", 13 -> "c", 16 -> 
           "a", 4 -> "+", 15 -> "b", 12 -> "+", 8 -> "*", 7 -> "f", 1 -> "-", 
           10 -> "+", 2 -> "*", 3 -> "+", 11 -> "c"}, 
         VertexShapeFunction -> {
          2 -> "Square", 12 -> "Square", 4 -> "Square", 16 -> "Square", 8 -> 
           "Square", 14 -> "Square", 9 -> "Square", 5 -> "Square", 13 -> 
           "Square", 17 -> "Square"}, 
         VertexSize -> {
          9 -> Medium, 4 -> Medium, 14 -> Medium, 2 -> Medium, 5 -> Medium, 8 -> 
           Medium, 13 -> Medium, 12 -> Medium, 17 -> Medium, 16 -> 
           Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.5879865568825218, 4.313310928137536}, 
            0.03897099439526591], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.626957551277788, 4.352281922532802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 3.37453148576253}, \
{1.8014416280025134, 3.5267659992575275}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 3.5369149610727795}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 3.4506487425100287}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 3.489619736905295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 2.5118693001350225}, \
{1.3701105351887597, 2.66410381363002}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0805382073212693, 2.5118693001350225}, \
{2.232772720816267, 2.66410381363002}]}, 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {2.242921682631519, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.881979835323783, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {3.920950829719049, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, 1.6492071145075156}, \
{0.9387794423750061, 1.8014416280025132}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.948928404190258, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 1.6492071145075156}, \
{1.8014416280025134, 1.8014416280025132}]}, 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5879865568825218, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.626957551277788, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.35521383606625484, 0.7865449288800082}, \
{0.5074483495612524, 0.9387794423750058}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {0.5175973113765043, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 0.7865449288800082}, \
{1.3701105351887597, 0.9387794423750058}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0805382073212693, 0.7865449288800082}, \
{2.232772720816267, 0.9387794423750058}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {2.242921682631519, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 0.862662185627507}, 
            0.03897099439526591], 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 0.9016331800227728}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.0761172567474988, -0.0761172567474988}, \
{0.0761172567474988, 0.0761172567474988}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {0.08626621856275073, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, -0.0761172567474988}, \
{0.9387794423750061, 0.0761172567474988}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {0.948928404190258, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 
         16}, {12, 17}}}, {
        GraphHighlight -> {17, 16, 4, 14, 5, 15, 2, 9, 13, 8, 12}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          9 -> "d", 17 -> "b", 14 -> "a", 5 -> "e", 6 -> "*", 13 -> "c", 16 -> 
           "a", 4 -> "+", 15 -> "b", 12 -> "+", 8 -> "*", 7 -> "f", 1 -> "-", 
           10 -> "+", 2 -> "*", 3 -> "+", 11 -> "c"}, 
         VertexShapeFunction -> {
          2 -> "Square", 12 -> "Square", 4 -> "Square", 16 -> "Square", 8 -> 
           "Square", 14 -> "Square", 9 -> "Square", 5 -> "Square", 13 -> 
           "Square", 15 -> "Square", 17 -> "Square"}, 
         VertexSize -> {
          9 -> Medium, 4 -> Medium, 14 -> Medium, 2 -> Medium, 5 -> Medium, 
           15 -> Medium, 8 -> Medium, 13 -> Medium, 12 -> Medium, 17 -> 
           Medium, 16 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.5879865568825218, 4.313310928137536}, 
            0.03897099439526591], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.626957551277788, 4.352281922532802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 3.37453148576253}, \
{1.8014416280025134, 3.5267659992575275}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 3.5369149610727795}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 3.4506487425100287}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 3.489619736905295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 2.5118693001350225}, \
{1.3701105351887597, 2.66410381363002}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0805382073212693, 2.5118693001350225}, \
{2.232772720816267, 2.66410381363002}]}, 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {2.242921682631519, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.881979835323783, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {3.920950829719049, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, 1.6492071145075156}, \
{0.9387794423750061, 1.8014416280025132}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.948928404190258, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 1.6492071145075156}, \
{1.8014416280025134, 1.8014416280025132}]}, 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.5879865568825218, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.626957551277788, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.35521383606625484, 0.7865449288800082}, \
{0.5074483495612524, 0.9387794423750058}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {0.5175973113765043, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 0.7865449288800082}, \
{1.3701105351887597, 0.9387794423750058}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0805382073212693, 0.7865449288800082}, \
{2.232772720816267, 0.9387794423750058}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {2.242921682631519, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.9432003929487767, 0.7865449288800082}, \
{3.0954349064437743, 0.9387794423750058}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.105583868259026, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.0761172567474988, -0.0761172567474988}, \
{0.0761172567474988, 0.0761172567474988}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {0.08626621856275073, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, -0.0761172567474988}, \
{0.9387794423750061, 0.0761172567474988}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {0.948928404190258, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 
         16}, {12, 17}}}, {
        GraphHighlight -> {17, 16, 4, 14, 5, 10, 15, 2, 9, 13, 8, 12}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          9 -> "d", 17 -> "b", 14 -> "a", 5 -> "e", 6 -> "*", 13 -> "c", 16 -> 
           "a", 4 -> "+", 15 -> "b", 12 -> "+", 8 -> "*", 7 -> "f", 1 -> "-", 
           10 -> "+", 2 -> "*", 3 -> "+", 11 -> "c"}, 
         VertexShapeFunction -> {
          2 -> "Square", 12 -> "Square", 4 -> "Square", 16 -> "Square", 10 -> 
           "Square", 8 -> "Square", 14 -> "Square", 9 -> "Square", 5 -> 
           "Square", 13 -> "Square", 15 -> "Square", 17 -> "Square"}, 
         VertexSize -> {
          9 -> Medium, 4 -> Medium, 14 -> Medium, 2 -> Medium, 10 -> Medium, 
           5 -> Medium, 15 -> Medium, 8 -> Medium, 13 -> Medium, 12 -> Medium,
            17 -> Medium, 16 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.5879865568825218, 4.313310928137536}, 
            0.03897099439526591], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.626957551277788, 4.352281922532802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 3.37453148576253}, \
{1.8014416280025134, 3.5267659992575275}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 3.5369149610727795}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 3.4506487425100287}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 3.489619736905295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 2.5118693001350225}, \
{1.3701105351887597, 2.66410381363002}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0805382073212693, 2.5118693001350225}, \
{2.232772720816267, 2.66410381363002}]}, 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {2.242921682631519, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.881979835323783, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {3.920950829719049, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, 1.6492071145075156}, \
{0.9387794423750061, 1.8014416280025132}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.948928404190258, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 1.6492071145075156}, \
{1.8014416280025134, 1.8014416280025132}]}, 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.511869300135023, 1.6492071145075156}, \
{2.6641038136300206, 1.8014416280025132}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.6742527754452725, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 1.7253243712550144}, 
            0.03897099439526591], 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 1.7642953656502802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.35521383606625484, 0.7865449288800082}, \
{0.5074483495612524, 0.9387794423750058}]}, 
           InsetBox["\<\"+\"\>", Offset[{2, 2}, {0.5175973113765043, 0.9489284041902577}],\
 ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 0.7865449288800082}, \
{1.3701105351887597, 0.9387794423750058}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0805382073212693, 0.7865449288800082}, \
{2.232772720816267, 0.9387794423750058}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {2.242921682631519, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.9432003929487767, 0.7865449288800082}, \
{3.0954349064437743, 0.9387794423750058}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.105583868259026, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.0761172567474988, -0.0761172567474988}, \
{0.0761172567474988, 0.0761172567474988}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {0.08626621856275073, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, -0.0761172567474988}, \
{0.9387794423750061, 0.0761172567474988}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {0.948928404190258, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 
         16}, {12, 17}}}, {
        GraphHighlight -> {17, 16, 4, 14, 11, 5, 10, 15, 2, 9, 13, 8, 12}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          9 -> "d", 17 -> "b", 14 -> "a", 5 -> "e", 6 -> "*", 13 -> "c", 16 -> 
           "a", 4 -> "+", 15 -> "b", 12 -> "+", 8 -> "*", 7 -> "f", 1 -> "-", 
           10 -> "+", 2 -> "*", 3 -> "+", 11 -> "c"}, 
         VertexShapeFunction -> {
          11 -> "Square", 2 -> "Square", 12 -> "Square", 4 -> "Square", 16 -> 
           "Square", 10 -> "Square", 8 -> "Square", 14 -> "Square", 9 -> 
           "Square", 5 -> "Square", 13 -> "Square", 15 -> "Square", 17 -> 
           "Square"}, 
         VertexSize -> {
          11 -> Medium, 9 -> Medium, 4 -> Medium, 14 -> Medium, 2 -> Medium, 
           10 -> Medium, 5 -> Medium, 15 -> Medium, 8 -> Medium, 13 -> Medium,
            12 -> Medium, 17 -> Medium, 16 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.5879865568825218, 4.313310928137536}, 
            0.03897099439526591], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.626957551277788, 4.352281922532802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 3.37453148576253}, \
{1.8014416280025134, 3.5267659992575275}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 3.5369149610727795}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 3.4506487425100287}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 3.489619736905295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 2.5118693001350225}, \
{1.3701105351887597, 2.66410381363002}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0805382073212693, 2.5118693001350225}, \
{2.232772720816267, 2.66410381363002}]}, 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {2.242921682631519, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0193176496962755, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {3.0582886440915416, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.881979835323783, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {3.920950829719049, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, 1.6492071145075156}, \
{0.9387794423750061, 1.8014416280025132}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.948928404190258, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 1.6492071145075156}, \
{1.8014416280025134, 1.8014416280025132}]}, 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.511869300135023, 1.6492071145075156}, \
{2.6641038136300206, 1.8014416280025132}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.6742527754452725, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.3745314857625304, 1.6492071145075156}, \
{3.526765999257528, 1.8014416280025132}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {3.53691496107278, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.35521383606625484, 0.7865449288800082}, \
{0.5074483495612524, 0.9387794423750058}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {0.5175973113765043, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 0.7865449288800082}, \
{1.3701105351887597, 0.9387794423750058}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0805382073212693, 0.7865449288800082}, 
             {2.232772720816267, 0.9387794423750058}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {2.242921682631519, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.9432003929487767, 0.7865449288800082}, \
{3.0954349064437743, 0.9387794423750058}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.105583868259026, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.0761172567474988, -0.0761172567474988}, \
{0.0761172567474988, 0.0761172567474988}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {0.08626621856275073, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, -0.0761172567474988}, \
{0.9387794423750061, 0.0761172567474988}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {0.948928404190258, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 
         16}, {12, 17}}}, {
        GraphHighlight -> {17, 16, 4, 14, 11, 5, 10, 6, 15, 2, 9, 13, 8, 12}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          9 -> "d", 17 -> "b", 14 -> "a", 5 -> "e", 6 -> "*", 13 -> "c", 16 -> 
           "a", 4 -> "+", 15 -> "b", 12 -> "+", 8 -> "*", 7 -> "f", 1 -> "-", 
           10 -> "+", 2 -> "*", 3 -> "+", 11 -> "c"}, 
         VertexShapeFunction -> {
          11 -> "Square", 2 -> "Square", 12 -> "Square", 4 -> "Square", 16 -> 
           "Square", 10 -> "Square", 8 -> "Square", 14 -> "Square", 9 -> 
           "Square", 6 -> "Square", 5 -> "Square", 13 -> "Square", 15 -> 
           "Square", 17 -> "Square"}, 
         VertexSize -> {
          11 -> Medium, 9 -> Medium, 4 -> Medium, 14 -> Medium, 2 -> Medium, 
           10 -> Medium, 5 -> Medium, 15 -> Medium, 8 -> Medium, 13 -> Medium,
            12 -> Medium, 17 -> Medium, 16 -> Medium, 6 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.5879865568825218, 4.313310928137536}, 
            0.03897099439526591], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.626957551277788, 4.352281922532802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 3.37453148576253}, \
{1.8014416280025134, 3.5267659992575275}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 3.5369149610727795}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 3.4506487425100287}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 3.489619736905295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 2.5118693001350225}, \
{1.3701105351887597, 2.66410381363002}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0805382073212693, 2.5118693001350225}, \
{2.232772720816267, 2.66410381363002}]}, 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {2.242921682631519, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.9432003929487767, 2.5118693001350225}, \
{3.0954349064437743, 2.66410381363002}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {3.105583868259026, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.881979835323783, 2.5879865568825213}, 
            0.03897099439526591], 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {3.920950829719049, 2.6269575512777874}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, 1.6492071145075156}, \
{0.9387794423750061, 1.8014416280025132}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.948928404190258, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 1.6492071145075156}, \
{1.8014416280025134, 1.8014416280025132}]}, 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.511869300135023, 1.6492071145075156}, \
{2.6641038136300206, 1.8014416280025132}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.6742527754452725, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.3745314857625304, 1.6492071145075156}, \
{3.526765999257528, 1.8014416280025132}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {3.53691496107278, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.35521383606625484, 0.7865449288800082}, \
{0.5074483495612524, 0.9387794423750058}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {0.5175973113765043, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 0.7865449288800082}, \
{1.3701105351887597, 0.9387794423750058}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0805382073212693, 0.7865449288800082}, \
{2.232772720816267, 0.9387794423750058}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {2.242921682631519, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.9432003929487767, 0.7865449288800082}, \
{3.0954349064437743, 0.9387794423750058}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.105583868259026, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.0761172567474988, -0.0761172567474988}, \
{0.0761172567474988, 0.0761172567474988}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {0.08626621856275073, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, -0.0761172567474988}, \
{0.9387794423750061, 0.0761172567474988}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {0.948928404190258, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 
         16}, {12, 17}}}, {
        GraphHighlight -> {16, 6, 13, 11, 8, 7, 14, 4, 9, 10, 5, 15, 17, 12, 
          2}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "*", 12 -> "+", 14 -> "a", 2 -> "*", 13 -> "c", 5 -> "e", 7 -> 
           "f", 9 -> "d", 17 -> "b", 16 -> "a", 11 -> "c", 6 -> "*", 1 -> "-",
            15 -> "b", 3 -> "+", 4 -> "+", 10 -> "+"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 11 -> 
           "Square", 7 -> "Square", 8 -> "Square", 4 -> "Square", 2 -> 
           "Square", 6 -> "Square", 12 -> "Square", 9 -> "Square", 13 -> 
           "Square", 16 -> "Square", 5 -> "Square"}, 
         VertexSize -> {
          6 -> Medium, 12 -> Medium, 5 -> Medium, 2 -> Medium, 16 -> Medium, 
           15 -> Medium, 7 -> Medium, 11 -> Medium, 14 -> Medium, 10 -> 
           Medium, 8 -> Medium, 9 -> Medium, 17 -> Medium, 13 -> Medium, 4 -> 
           Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.5879865568825218, 4.313310928137536}, 
            0.03897099439526591], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.626957551277788, 4.352281922532802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 3.37453148576253}, \
{1.8014416280025134, 3.5267659992575275}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 3.5369149610727795}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.450648742510029, 3.4506487425100287}, 
            0.03897099439526591], 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.4896197369052953, 3.489619736905295}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 2.5118693001350225}, \
{1.3701105351887597, 2.66410381363002}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0805382073212693, 2.5118693001350225}, \
{2.232772720816267, 2.66410381363002}]}, 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {2.242921682631519, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.9432003929487767, 2.5118693001350225}, \
{3.0954349064437743, 2.66410381363002}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {3.105583868259026, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.805862578576284, 2.5118693001350225}, \
{3.9580970920712817, 2.66410381363002}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {3.9682460538865336, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, 1.6492071145075156}, \
{0.9387794423750061, 1.8014416280025132}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.948928404190258, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 1.6492071145075156}, \
{1.8014416280025134, 1.8014416280025132}]}, 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.511869300135023, 1.6492071145075156}, \
{2.6641038136300206, 1.8014416280025132}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.6742527754452725, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.3745314857625304, 1.6492071145075156}, \
{3.526765999257528, 1.8014416280025132}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {3.53691496107278, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.35521383606625484, 0.7865449288800082}, \
{0.5074483495612524, 0.9387794423750058}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {0.5175973113765043, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 0.7865449288800082}, \
{1.3701105351887597, 0.9387794423750058}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0805382073212693, 0.7865449288800082}, \
{2.232772720816267, 0.9387794423750058}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {2.242921682631519, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.9432003929487767, 0.7865449288800082}, \
{3.0954349064437743, 0.9387794423750058}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.105583868259026, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.0761172567474988, -0.0761172567474988}, 
             {0.0761172567474988, 0.0761172567474988}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {0.08626621856275073, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, -0.0761172567474988}, \
{0.9387794423750061, 0.0761172567474988}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {0.948928404190258, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 
         16}, {12, 17}}}, {
        GraphHighlight -> {16, 6, 13, 11, 8, 7, 14, 4, 9, 10, 5, 15, 17, 12, 
          3, 2}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "*", 12 -> "+", 14 -> "a", 2 -> "*", 13 -> "c", 5 -> "e", 7 -> 
           "f", 9 -> "d", 17 -> "b", 16 -> "a", 11 -> "c", 6 -> "*", 1 -> "-",
            15 -> "b", 3 -> "+", 4 -> "+", 10 -> "+"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 3 -> 
           "Square", 11 -> "Square", 7 -> "Square", 8 -> "Square", 4 -> 
           "Square", 2 -> "Square", 6 -> "Square", 12 -> "Square", 9 -> 
           "Square", 13 -> "Square", 16 -> "Square", 5 -> "Square"}, 
         VertexSize -> {
          6 -> Medium, 12 -> Medium, 3 -> Medium, 5 -> Medium, 2 -> Medium, 
           16 -> Medium, 15 -> Medium, 7 -> Medium, 11 -> Medium, 14 -> 
           Medium, 10 -> Medium, 8 -> Medium, 9 -> Medium, 17 -> Medium, 13 -> 
           Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{2.5879865568825218, 4.313310928137536}, 
            0.03897099439526591], 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.626957551277788, 4.352281922532802}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 3.37453148576253}, \
{1.8014416280025134, 3.5267659992575275}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 3.5369149610727795}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.3745314857625304, 3.37453148576253}, \
{3.526765999257528, 3.5267659992575275}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.53691496107278, 3.5369149610727795}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 2.5118693001350225}, \
{1.3701105351887597, 2.66410381363002}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0805382073212693, 2.5118693001350225}, \
{2.232772720816267, 2.66410381363002}]}, 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {2.242921682631519, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.9432003929487767, 2.5118693001350225}, \
{3.0954349064437743, 2.66410381363002}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {3.105583868259026, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.805862578576284, 2.5118693001350225}, \
{3.9580970920712817, 2.66410381363002}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {3.9682460538865336, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, 1.6492071145075156}, \
{0.9387794423750061, 1.8014416280025132}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.948928404190258, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 1.6492071145075156}, \
{1.8014416280025134, 1.8014416280025132}]}, 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.511869300135023, 1.6492071145075156}, \
{2.6641038136300206, 1.8014416280025132}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.6742527754452725, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.3745314857625304, 1.6492071145075156}, \
{3.526765999257528, 1.8014416280025132}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {3.53691496107278, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.35521383606625484, 0.7865449288800082}, \
{0.5074483495612524, 0.9387794423750058}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {0.5175973113765043, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 0.7865449288800082}, \
{1.3701105351887597, 0.9387794423750058}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0805382073212693, 0.7865449288800082}, \
{2.232772720816267, 0.9387794423750058}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {2.242921682631519, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.9432003929487767, 0.7865449288800082}, \
{3.0954349064437743, 0.9387794423750058}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.105583868259026, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.0761172567474988, -0.0761172567474988}, \
{0.0761172567474988, 0.0761172567474988}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {0.08626621856275073, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, -0.0761172567474988}, \
{0.9387794423750061, 0.0761172567474988}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {0.948928404190258, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {4, 8}, {4, 
         9}, {6, 10}, {6, 11}, {8, 12}, {8, 13}, {10, 14}, {10, 15}, {12, 
         16}, {12, 17}}}, {
        GraphHighlight -> {16, 6, 13, 11, 8, 7, 14, 1, 4, 9, 10, 5, 15, 17, 
          12, 3, 2}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          8 -> "*", 12 -> "+", 14 -> "a", 2 -> "*", 13 -> "c", 5 -> "e", 7 -> 
           "f", 9 -> "d", 17 -> "b", 16 -> "a", 11 -> "c", 6 -> "*", 1 -> "-",
            15 -> "b", 3 -> "+", 4 -> "+", 10 -> "+"}, 
         VertexShapeFunction -> {
          10 -> "Square", 14 -> "Square", 15 -> "Square", 17 -> "Square", 3 -> 
           "Square", 11 -> "Square", 7 -> "Square", 8 -> "Square", 4 -> 
           "Square", 2 -> "Square", 6 -> "Square", 1 -> "Square", 12 -> 
           "Square", 9 -> "Square", 13 -> "Square", 16 -> "Square", 5 -> 
           "Square"}, 
         VertexSize -> {
          6 -> Medium, 12 -> Medium, 3 -> Medium, 5 -> Medium, 2 -> Medium, 
           16 -> Medium, 15 -> Medium, 7 -> Medium, 11 -> Medium, 14 -> 
           Medium, 10 -> Medium, 8 -> Medium, 1 -> Medium, 9 -> Medium, 17 -> 
           Medium, 13 -> Medium, 4 -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC5NOuRttIXFgSeofMoVB0EH9+aIXW9n/bZ3A9Pc
DtjluR1g8tjVf7EvgepDl4eYw+iAKo8w714RL/MEdQ6c8hsmLy705uOHy2O3
7zXUvt/2+N3z2x7dPph/ccmjuue3Pbp9EP5texeoOC73wOTR7YOFDy55mHtQ
zUfYx4AGcLkHJg8Anirn9w==
           "]]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.511869300135023, 4.237193671390037}, \
{2.6641038136300206, 4.389428184885035}]}, 
           InsetBox["\<\"-\"\>", 
            Offset[{2, 2}, {2.6742527754452725, 4.399577146700286}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 3.37453148576253}, \
{1.8014416280025134, 3.5267659992575275}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 3.5369149610727795}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.3745314857625304, 3.37453148576253}, \
{3.526765999257528, 3.5267659992575275}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {3.53691496107278, 3.5369149610727795}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 2.5118693001350225}, \
{1.3701105351887597, 2.66410381363002}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0805382073212693, 2.5118693001350225}, \
{2.232772720816267, 2.66410381363002}]}, 
           InsetBox["\<\"e\"\>", 
            Offset[{2, 2}, {2.242921682631519, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.9432003929487767, 2.5118693001350225}, \
{3.0954349064437743, 2.66410381363002}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {3.105583868259026, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.805862578576284, 2.5118693001350225}, \
{3.9580970920712817, 2.66410381363002}]}, 
           InsetBox["\<\"f\"\>", 
            Offset[{2, 2}, {3.9682460538865336, 2.674252775445272}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, 1.6492071145075156}, \
{0.9387794423750061, 1.8014416280025132}]}, 
           InsetBox["\<\"*\"\>", 
            Offset[{2, 2}, {0.948928404190258, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6492071145075158, 1.6492071145075156}, \
{1.8014416280025134, 1.8014416280025132}]}, 
           InsetBox["\<\"d\"\>", 
            Offset[{2, 2}, {1.8115905898177653, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.511869300135023, 1.6492071145075156}, \
{2.6641038136300206, 1.8014416280025132}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {2.6742527754452725, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{3.3745314857625304, 1.6492071145075156}, \
{3.526765999257528, 1.8014416280025132}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {3.53691496107278, 1.811590589817765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.35521383606625484, 0.7865449288800082}, \
{0.5074483495612524, 0.9387794423750058}]}, 
           InsetBox["\<\"+\"\>", 
            Offset[{2, 2}, {0.5175973113765043, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.217876021693762, 0.7865449288800082}, \
{1.3701105351887597, 0.9387794423750058}]}, 
           InsetBox["\<\"c\"\>", 
            Offset[{2, 2}, {1.3802594970040116, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0805382073212693, 0.7865449288800082}, \
{2.232772720816267, 0.9387794423750058}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {2.242921682631519, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.9432003929487767, 0.7865449288800082}, \
{3.0954349064437743, 0.9387794423750058}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {3.105583868259026, 0.9489284041902577}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.0761172567474988, -0.0761172567474988}, \
{0.0761172567474988, 0.0761172567474988}]}, 
           InsetBox["\<\"a\"\>", 
            Offset[{2, 2}, {0.08626621856275073, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7865449288800085, -0.0761172567474988}, \
{0.9387794423750061, 0.0761172567474988}]}, 
           InsetBox["\<\"b\"\>", 
            Offset[{2, 2}, {0.948928404190258, 0.08626621856275073}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10]}], "}"}]], "Output",
 CellChangeTimes->{3.8152246742094083`*^9, 3.8152269836665707`*^9, 
  3.815227377917345*^9, 3.8152316918198028`*^9},
 CellLabel->"Out[24]=",ExpressionUUID->"ebae5f7b-aa33-4689-81d0-d3e6b0c2147c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Polaca", "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"a", "+", "b"}], ")"}], "c"}], "+", "d"}], ")"}], "e"}], 
    ")"}], "-", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"a", "+", "b"}], ")"}], "c"}], "+", "f"}], ")"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"PolacaInversa", "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"a", "+", "b"}], ")"}], "c"}], "+", "d"}], ")"}], "e"}], 
    ")"}], "-", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"a", "+", "b"}], ")"}], "c"}], "+", "f"}], ")"}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.8151335876913743`*^9, 3.815133601300929*^9}, {
  3.81513366669989*^9, 3.815133672828303*^9}},
 CellLabel->"In[27]:=",ExpressionUUID->"fb21c647-c398-4d87-88e1-d438aa3682af"],

Cell[CellGroupData[{

Cell[BoxData["\<\"Plus[Times[-1, Plus[a, b], c], Times[Plus[Times[Plus[a, b], \
c], d], e], Times[-1, f]]\"\>"], "Print",
 CellChangeTimes->{
  3.8151336748799934`*^9, 3.815226992277322*^9, 3.815228987031726*^9, {
   3.815231672232746*^9, 3.8152317120233545`*^9}},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[27]:=",ExpressionUUID->"3d2efacb-8812-4bf7-91b8-7a521a706759"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"1", "\[Rule]", "Plus"}], ",", 
   RowBox[{"2", "\[Rule]", "Times"}], ",", 
   RowBox[{"3", "\[Rule]", 
    RowBox[{"-", "1"}]}], ",", 
   RowBox[{"4", "\[Rule]", "Plus"}], ",", 
   RowBox[{"5", "\[Rule]", "a"}], ",", 
   RowBox[{"6", "\[Rule]", "b"}], ",", 
   RowBox[{"7", "\[Rule]", "c"}], ",", 
   RowBox[{"8", "\[Rule]", "Times"}], ",", 
   RowBox[{"9", "\[Rule]", "Plus"}], ",", 
   RowBox[{"10", "\[Rule]", "Times"}], ",", 
   RowBox[{"11", "\[Rule]", "Plus"}], ",", 
   RowBox[{"12", "\[Rule]", "a"}], ",", 
   RowBox[{"13", "\[Rule]", "b"}], ",", 
   RowBox[{"14", "\[Rule]", "c"}], ",", 
   RowBox[{"15", "\[Rule]", "d"}], ",", 
   RowBox[{"16", "\[Rule]", "e"}], ",", 
   RowBox[{"17", "\[Rule]", "Times"}], ",", 
   RowBox[{"18", "\[Rule]", 
    RowBox[{"-", "1"}]}], ",", 
   RowBox[{"19", "\[Rule]", "f"}]}], "}"}]], "Print",
 CellChangeTimes->{
  3.8151336748799934`*^9, 3.815226992277322*^9, 3.815228987031726*^9, {
   3.815231672232746*^9, 3.8152317120233545`*^9}},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[27]:=",ExpressionUUID->"39127419-8329-40bb-bbad-1f2138c82fc1"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{1, 2, 8, 17, 3, 4, 7, 5, 6, 9, 16, 10, 15, 11, 14, 12, 13, 18, 
      19}, {Null, {{1, 2}, {1, 3}, {1, 4}, {2, 5}, {2, 6}, {2, 7}, {6, 8}, {6,
        9}, {3, 10}, {3, 11}, {10, 12}, {10, 13}, {12, 14}, {12, 15}, {14, 
       16}, {14, 17}, {4, 18}, {4, 19}}}, {
      ImagePadding -> 10, VertexCoordinates -> CompressedData["
1:eJxTTMoPSmViYGAQBmIQfelDp/4DVWaHL1fWPIso5XXQKt/7Wnjic3sIze7g
csI17+M8FgcY/62j0Ka9xgJwPgMUxEue+3BuDSNcPyr/Oxr/uj2q+Ed7dHWo
6tnhfIg7/8LVo7rvO1xcA80dqPyP9jB3w8xD5fM6oLpDEM4HANtVjq4=
        "], VertexLabels -> {"Name"}, VertexShapeFunction -> {"Circle"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAmImKL70oVP/gSqzw5cra55FlPI6aJXvfS088bk9hGZ3
QJd3OeGa93EeiwMu+beOQpv2GgvA5dHNY4CCeMlzH86tYcSQh/Hxy3+Hy6O7
ByaOSx5dHbp7Yf7AJQ8RF3RAdx8q/7o9zJ3o8hD6oz26P2A0xP6/OOVR/fPd
Hl09jNaA2ovLPA2UcEWoh7kPFk+4zIPJAwAFbhKY
         "]]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{2.393494006535641, 3.6822984715932936}, 
          0.03961715909632617], 
         InsetBox["1", 
          Offset[{2, 2}, {2.433111165631967, 3.7219156306896197}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.7364596943186588, 2.945838777274635}, 
          0.03961715909632617], 
         InsetBox["2", 
          Offset[{2, 2}, {0.7760768534149849, 2.985455936370961}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.5776089301153053, 2.945838777274635}, 
          0.03961715909632617], 
         InsetBox["8", 
          Offset[{2, 2}, {2.6172260892116315, 2.985455936370961}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{4.050528318752623, 2.945838777274635}, 0.03961715909632617],
          InsetBox["17", 
          Offset[{2, 2}, {4.090145477848949, 2.985455936370961}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 2.209379082955976}, 0.03961715909632617], 
         InsetBox["3", 
          Offset[{2, 2}, {0.03961715909632617, 2.248996242052302}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.7364596943186588, 2.209379082955976}, 
          0.03961715909632617], 
         InsetBox["4", 
          Offset[{2, 2}, {0.7760768534149849, 2.248996242052302}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.4729193886373175, 2.209379082955976}, 
          0.03961715909632617], 
         InsetBox["7", 
          Offset[{2, 2}, {1.5125365477336437, 2.248996242052302}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.3682298471593294, 1.4729193886373175}, 
          0.03961715909632617], 
         InsetBox["5", 
          Offset[{2, 2}, {0.40784700625565556, 1.5125365477336437}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.104689541477988, 1.4729193886373175}, 
          0.03961715909632617], 
         InsetBox["6", 
          Offset[{2, 2}, {1.1443067005743142, 1.5125365477336437}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.209379082955976, 2.209379082955976}, 0.03961715909632617],
          InsetBox["9", 
          Offset[{2, 2}, {2.248996242052302, 2.248996242052302}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.945838777274635, 2.209379082955976}, 0.03961715909632617],
          InsetBox["16", 
          Offset[{2, 2}, {2.985455936370961, 2.248996242052302}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.8411492357966468, 1.4729193886373175}, 
          0.03961715909632617], 
         InsetBox["10", 
          Offset[{2, 2}, {1.880766394892973, 1.5125365477336437}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.5776089301153053, 1.4729193886373175}, 
          0.03961715909632617], 
         InsetBox["15", 
          Offset[{2, 2}, {2.6172260892116315, 1.5125365477336437}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.4729193886373175, 0.7364596943186585}, 
          0.03961715909632617], 
         InsetBox["11", 
          Offset[{2, 2}, {1.5125365477336437, 0.7760768534149847}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.209379082955976, 0.7364596943186585}, 
          0.03961715909632617], 
         InsetBox["14", 
          Offset[{2, 2}, {2.248996242052302, 0.7760768534149847}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.104689541477988, 0.}, 0.03961715909632617], 
         InsetBox["12", 
          Offset[{2, 2}, {1.1443067005743142, 0.03961715909632617}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.8411492357966468, 0.}, 0.03961715909632617], 
         InsetBox["13", 
          Offset[{2, 2}, {1.880766394892973, 0.03961715909632617}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.6822984715932936, 2.209379082955976}, 
          0.03961715909632617], 
         InsetBox["18", 
          Offset[{2, 2}, {3.7219156306896197, 2.248996242052302}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{4.418758165911952, 2.209379082955976}, 0.03961715909632617],
          InsetBox["19", 
          Offset[{2, 2}, {4.458375325008278, 2.248996242052302}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Print",
 CellChangeTimes->{
  3.8151336748799934`*^9, 3.815226992277322*^9, 3.815228987031726*^9, {
   3.815231672232746*^9, 3.8152317120864596`*^9}},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[27]:=",ExpressionUUID->"95cec287-1193-4cab-b811-8a98a36beb82"]
}, Open  ]],

Cell[BoxData["\<\"\\!\\(\\*FormBox[\\\"\\\\\\\"+\\\\\\\"\\\", \
TraditionalForm]\\)\\!\\(\\*FormBox[\\\"\\\\\\\"*\\\\\\\"\\\", \
TraditionalForm]\\)\\!\\(\\*FormBox[RowBox[{\\\"-\\\", \\\"1\\\"}], \
TraditionalForm]\\)\\!\\(\\*FormBox[\\\"\\\\\\\"+\\\\\\\"\\\", \
TraditionalForm]\\)\\!\\(\\*FormBox[\\\"a\\\", \
TraditionalForm]\\)\\!\\(\\*FormBox[\\\"b\\\", \
TraditionalForm]\\)\\!\\(\\*FormBox[\\\"c\\\", \
TraditionalForm]\\)\\!\\(\\*FormBox[\\\"\\\\\\\"*\\\\\\\"\\\", \
TraditionalForm]\\)\\!\\(\\*FormBox[\\\"\\\\\\\"+\\\\\\\"\\\", \
TraditionalForm]\\)\\!\\(\\*FormBox[\\\"\\\\\\\"*\\\\\\\"\\\", \
TraditionalForm]\\)\\!\\(\\*FormBox[\\\"\\\\\\\"+\\\\\\\"\\\", \
TraditionalForm]\\)\\!\\(\\*FormBox[\\\"a\\\", \
TraditionalForm]\\)\\!\\(\\*FormBox[\\\"b\\\", \
TraditionalForm]\\)\\!\\(\\*FormBox[\\\"c\\\", \
TraditionalForm]\\)\\!\\(\\*FormBox[\\\"d\\\", \
TraditionalForm]\\)\\!\\(\\*FormBox[\\\"e\\\", \
TraditionalForm]\\)\\!\\(\\*FormBox[\\\"\\\\\\\"*\\\\\\\"\\\", \
TraditionalForm]\\)\\!\\(\\*FormBox[RowBox[{\\\"-\\\", \\\"1\\\"}], \
TraditionalForm]\\)\\!\\(\\*FormBox[\\\"f\\\", TraditionalForm]\\)\"\>"], \
"Output",
 CellChangeTimes->{
  3.815133674999675*^9, 3.8152269923880787`*^9, 3.8152289871619415`*^9, {
   3.8152316723531923`*^9, 3.815231712123623*^9}},
 CellLabel->"Out[27]=",ExpressionUUID->"32d566dd-d794-4b16-8aec-6afb19bd9c71"],

Cell[CellGroupData[{

Cell[BoxData["\<\"Plus[Times[-1, Plus[a, b], c], Times[Plus[Times[Plus[a, b], \
c], d], e], Times[-1, f]]\"\>"], "Print",
 CellChangeTimes->{
  3.8151336748799934`*^9, 3.815226992277322*^9, 3.815228987031726*^9, {
   3.815231672232746*^9, 3.8152317122186613`*^9}},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[27]:=",ExpressionUUID->"6ec9fa5d-a062-4d6a-98ea-ab9438ecf8bb"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"1", "\[Rule]", "Plus"}], ",", 
   RowBox[{"2", "\[Rule]", "Times"}], ",", 
   RowBox[{"3", "\[Rule]", 
    RowBox[{"-", "1"}]}], ",", 
   RowBox[{"4", "\[Rule]", "Plus"}], ",", 
   RowBox[{"5", "\[Rule]", "a"}], ",", 
   RowBox[{"6", "\[Rule]", "b"}], ",", 
   RowBox[{"7", "\[Rule]", "c"}], ",", 
   RowBox[{"8", "\[Rule]", "Times"}], ",", 
   RowBox[{"9", "\[Rule]", "Plus"}], ",", 
   RowBox[{"10", "\[Rule]", "Times"}], ",", 
   RowBox[{"11", "\[Rule]", "Plus"}], ",", 
   RowBox[{"12", "\[Rule]", "a"}], ",", 
   RowBox[{"13", "\[Rule]", "b"}], ",", 
   RowBox[{"14", "\[Rule]", "c"}], ",", 
   RowBox[{"15", "\[Rule]", "d"}], ",", 
   RowBox[{"16", "\[Rule]", "e"}], ",", 
   RowBox[{"17", "\[Rule]", "Times"}], ",", 
   RowBox[{"18", "\[Rule]", 
    RowBox[{"-", "1"}]}], ",", 
   RowBox[{"19", "\[Rule]", "f"}]}], "}"}]], "Print",
 CellChangeTimes->{
  3.8151336748799934`*^9, 3.815226992277322*^9, 3.815228987031726*^9, {
   3.815231672232746*^9, 3.815231712220188*^9}},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[27]:=",ExpressionUUID->"41b64318-4ada-4caf-9d2a-323f92ebec67"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{1, 2, 8, 17, 3, 4, 7, 5, 6, 9, 16, 10, 15, 11, 14, 12, 13, 18, 
      19}, {Null, {{1, 2}, {1, 3}, {1, 4}, {2, 5}, {2, 6}, {2, 7}, {6, 8}, {6,
        9}, {3, 10}, {3, 11}, {10, 12}, {10, 13}, {12, 14}, {12, 15}, {14, 
       16}, {14, 17}, {4, 18}, {4, 19}}}, {
      ImagePadding -> 10, VertexCoordinates -> CompressedData["
1:eJxTTMoPSmViYGAQBmIQfelDp/4DVWaHL1fWPIso5XXQKt/7Wnjic3sIze7g
csI17+M8FgcY/62j0Ka9xgJwPgMUxEue+3BuDSNcPyr/Oxr/uj2q+Ed7dHWo
6tnhfIg7/8LVo7rvO1xcA80dqPyP9jB3w8xD5fM6oLpDEM4HANtVjq4=
        "], VertexLabels -> {"Name"}, VertexShapeFunction -> {"Circle"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAmImKL70oVP/gSqzw5cra55FlPI6aJXvfS088bk9hGZ3
QJd3OeGa93EeiwMu+beOQpv2GgvA5dHNY4CCeMlzH86tYcSQh/Hxy3+Hy6O7
ByaOSx5dHbp7Yf7AJQ8RF3RAdx8q/7o9zJ3o8hD6oz26P2A0xP6/OOVR/fPd
Hl09jNaA2ovLPA2UcEWoh7kPFk+4zIPJAwAFbhKY
         "]]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{2.393494006535641, 3.6822984715932936}, 
          0.03961715909632617], 
         InsetBox["1", 
          Offset[{2, 2}, {2.433111165631967, 3.7219156306896197}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.7364596943186588, 2.945838777274635}, 
          0.03961715909632617], 
         InsetBox["2", 
          Offset[{2, 2}, {0.7760768534149849, 2.985455936370961}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.5776089301153053, 2.945838777274635}, 
          0.03961715909632617], 
         InsetBox["8", 
          Offset[{2, 2}, {2.6172260892116315, 2.985455936370961}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{4.050528318752623, 2.945838777274635}, 0.03961715909632617],
          InsetBox["17", 
          Offset[{2, 2}, {4.090145477848949, 2.985455936370961}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 2.209379082955976}, 0.03961715909632617], 
         InsetBox["3", 
          Offset[{2, 2}, {0.03961715909632617, 2.248996242052302}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.7364596943186588, 2.209379082955976}, 
          0.03961715909632617], 
         InsetBox["4", 
          Offset[{2, 2}, {0.7760768534149849, 2.248996242052302}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.4729193886373175, 2.209379082955976}, 
          0.03961715909632617], 
         InsetBox["7", 
          Offset[{2, 2}, {1.5125365477336437, 2.248996242052302}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.3682298471593294, 1.4729193886373175}, 
          0.03961715909632617], 
         InsetBox["5", 
          Offset[{2, 2}, {0.40784700625565556, 1.5125365477336437}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.104689541477988, 1.4729193886373175}, 
          0.03961715909632617], 
         InsetBox["6", 
          Offset[{2, 2}, {1.1443067005743142, 1.5125365477336437}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.209379082955976, 2.209379082955976}, 0.03961715909632617],
          InsetBox["9", 
          Offset[{2, 2}, {2.248996242052302, 2.248996242052302}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.945838777274635, 2.209379082955976}, 0.03961715909632617],
          InsetBox["16", 
          Offset[{2, 2}, {2.985455936370961, 2.248996242052302}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.8411492357966468, 1.4729193886373175}, 
          0.03961715909632617], 
         InsetBox["10", 
          Offset[{2, 2}, {1.880766394892973, 1.5125365477336437}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.5776089301153053, 1.4729193886373175}, 
          0.03961715909632617], 
         InsetBox["15", 
          Offset[{2, 2}, {2.6172260892116315, 1.5125365477336437}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.4729193886373175, 0.7364596943186585}, 
          0.03961715909632617], 
         InsetBox["11", 
          Offset[{2, 2}, {1.5125365477336437, 0.7760768534149847}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.209379082955976, 0.7364596943186585}, 
          0.03961715909632617], 
         InsetBox["14", 
          Offset[{2, 2}, {2.248996242052302, 0.7760768534149847}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.104689541477988, 0.}, 0.03961715909632617], 
         InsetBox["12", 
          Offset[{2, 2}, {1.1443067005743142, 0.03961715909632617}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.8411492357966468, 0.}, 0.03961715909632617], 
         InsetBox["13", 
          Offset[{2, 2}, {1.880766394892973, 0.03961715909632617}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.6822984715932936, 2.209379082955976}, 
          0.03961715909632617], 
         InsetBox["18", 
          Offset[{2, 2}, {3.7219156306896197, 2.248996242052302}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{4.418758165911952, 2.209379082955976}, 0.03961715909632617],
          InsetBox["19", 
          Offset[{2, 2}, {4.458375325008278, 2.248996242052302}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Print",
 CellChangeTimes->{
  3.8151336748799934`*^9, 3.815226992277322*^9, 3.815228987031726*^9, {
   3.815231672232746*^9, 3.815231712273526*^9}},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[27]:=",ExpressionUUID->"0daab0b0-b068-43b7-bf96-0369aa225f34"]
}, Open  ]],

Cell[BoxData["\<\"\\!\\(\\*FormBox[RowBox[{\\\"-\\\", \\\"1\\\"}], \
TraditionalForm]\\)\\!\\(\\*FormBox[\\\"a\\\", \
TraditionalForm]\\)\\!\\(\\*FormBox[\\\"b\\\", \
TraditionalForm]\\)\\!\\(\\*FormBox[\\\"\\\\\\\"+\\\\\\\"\\\", \
TraditionalForm]\\)\\!\\(\\*FormBox[\\\"c\\\", \
TraditionalForm]\\)\\!\\(\\*FormBox[\\\"\\\\\\\"*\\\\\\\"\\\", \
TraditionalForm]\\)\\!\\(\\*FormBox[\\\"a\\\", \
TraditionalForm]\\)\\!\\(\\*FormBox[\\\"b\\\", \
TraditionalForm]\\)\\!\\(\\*FormBox[\\\"\\\\\\\"+\\\\\\\"\\\", \
TraditionalForm]\\)\\!\\(\\*FormBox[\\\"c\\\", \
TraditionalForm]\\)\\!\\(\\*FormBox[\\\"\\\\\\\"*\\\\\\\"\\\", \
TraditionalForm]\\)\\!\\(\\*FormBox[\\\"d\\\", \
TraditionalForm]\\)\\!\\(\\*FormBox[\\\"\\\\\\\"+\\\\\\\"\\\", \
TraditionalForm]\\)\\!\\(\\*FormBox[\\\"e\\\", \
TraditionalForm]\\)\\!\\(\\*FormBox[\\\"\\\\\\\"*\\\\\\\"\\\", \
TraditionalForm]\\)\\!\\(\\*FormBox[RowBox[{\\\"-\\\", \\\"1\\\"}], \
TraditionalForm]\\)\\!\\(\\*FormBox[\\\"f\\\", \
TraditionalForm]\\)\\!\\(\\*FormBox[\\\"\\\\\\\"*\\\\\\\"\\\", \
TraditionalForm]\\)\\!\\(\\*FormBox[\\\"\\\\\\\"+\\\\\\\"\\\", \
TraditionalForm]\\)\"\>"], "Output",
 CellChangeTimes->{
  3.815133674999675*^9, 3.8152269923880787`*^9, 3.8152289871619415`*^9, {
   3.8152316723531923`*^9, 3.815231712319883*^9}},
 CellLabel->"Out[28]=",ExpressionUUID->"44e3c4f0-ae85-4107-8c8e-e7172ee8b8ca"]
}, Open  ]]
},
WindowSize->{949, 467},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"74fbe5e8-ea63-4bf6-b70b-d40996288ed8"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 202, 3, 63, "Input",ExpressionUUID->"cfefd564-2c30-411d-bc5b-fe0aeb4fd85d"],
Cell[CellGroupData[{
Cell[785, 27, 4631, 110, 775, "Input",ExpressionUUID->"e86e72d0-4250-42fa-a122-30b1b882b93b"],
Cell[5419, 139, 5988, 129, 946, "Output",ExpressionUUID->"6817ca0e-df07-4a31-815c-c006f80bc5ec"],
Cell[11410, 270, 450, 6, 72, "Output",ExpressionUUID->"9833319a-dc2a-4d2c-acb1-973c4255ac5c"],
Cell[11863, 278, 452, 6, 96, "Output",ExpressionUUID->"6dec3838-9b55-4d08-91c1-efdfee36dd1a"]
}, Open  ]],
Cell[12330, 287, 160, 3, 75, "Text",ExpressionUUID->"fedab940-fa49-430f-99d6-63ae1dec3376"],
Cell[CellGroupData[{
Cell[12515, 294, 2192, 46, 507, "Input",ExpressionUUID->"e8182c54-5843-4233-8a46-467e6e768056"],
Cell[14710, 342, 128392, 2621, 4630, "Output",ExpressionUUID->"5a879cb0-79e7-4c36-bc9d-af4f749748f1"]
}, Open  ]],
Cell[143117, 2966, 207, 4, 75, "Text",ExpressionUUID->"2111e3b5-d481-4a02-8522-23b11bf9f62c"],
Cell[CellGroupData[{
Cell[143349, 2974, 2159, 45, 507, "Input",ExpressionUUID->"824be951-a491-4686-a378-9213ef773a66"],
Cell[145511, 3021, 129060, 2652, 4568, "Output",ExpressionUUID->"ebae5f7b-aa33-4689-81d0-d3e6b0c2147c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[274608, 5678, 993, 35, 135, "Input",ExpressionUUID->"fb21c647-c398-4d87-88e1-d438aa3682af"],
Cell[CellGroupData[{
Cell[275626, 5717, 381, 7, 131, "Print",ExpressionUUID->"3d2efacb-8812-4bf7-91b8-7a521a706759"],
Cell[276010, 5726, 1150, 29, 171, "Print",ExpressionUUID->"39127419-8329-40bb-bbad-1f2138c82fc1"],
Cell[277163, 5757, 6334, 141, 594, "Print",ExpressionUUID->"95cec287-1193-4cab-b811-8a98a36beb82"]
}, Open  ]],
Cell[283512, 5901, 1360, 23, 100, "Output",ExpressionUUID->"32d566dd-d794-4b16-8aec-6afb19bd9c71"],
Cell[CellGroupData[{
Cell[284897, 5928, 381, 7, 131, "Print",ExpressionUUID->"6ec9fa5d-a062-4d6a-98ea-ab9438ecf8bb"],
Cell[285281, 5937, 1148, 29, 171, "Print",ExpressionUUID->"41b64318-4ada-4caf-9d2a-323f92ebec67"],
Cell[286432, 5968, 6332, 141, 594, "Print",ExpressionUUID->"0daab0b0-b068-43b7-bf96-0369aa225f34"]
}, Open  ]],
Cell[292779, 6112, 1360, 23, 72, "Output",ExpressionUUID->"44e3c4f0-ae85-4107-8c8e-e7172ee8b8ca"]
}, Open  ]]
}
]
*)

